﻿var app_name = 'Calculatrice WV-ASR500';
var app_ver = 'Ver. 1.12R00 FRE (2014/07/14)';
var app_reqspec = 'Conditions spécifiques: Windows 8.1 / 8 / 7 / Vista, Internet Explorer 11 / 10 / 9 / 8 / 7,  RAM 512 MB ou mieux';

var s_note_cap = 'Attention';
var s_note_txt = '<ul>' +
    '<li>Suivant les objets, des différences peuvent apparaitre entre le résultat de calcul et la durée d\'enregistrement réelle ou la capacité du disque dur.</li>' +
    '<li>Le débit binaire provenant des caméras vidéo vers le réseau peuvent varier en fonction de l\'objet filmé et l\'utilisation du réseau.</li>' +
    '<li>Certaines fonctions risquent de ne pas réagir suivant la version de la microprogrammation du périphérique compatible. Se référer au site Web d\'assistance de Panasonic (<a href="http://panasonic.net/pss/security/support/index.html">http://panasonic.net/pss/security/support/index.html</a>) pour de plus amples informations.</li>' +
    '<li>Le système conserve normalement les vidéos enregistrées de toutes les caméras aussi longtemps que possible, supprimant les vidéos les plus anciennes uniquement lorsqu’il est nécessaire de créer de l’espace pour les nouvelles vidéos enregistrées. Ainsi, il est recommandé d’utiliser la caractéristique "Configuration d’expiration" uniquement lorsque cela est nécessaire,  comme c’est le cas lorsqu’une vidéo doit être supprimée après une période de temps maximale spécifiée par la loi.</li>' +
    '<li>Pour résoudre les problèmes liés à l’expiration de la vidéo, vous pouvez étendre votre capacité d’enregistrement en ajoutant des disques durs, en réduisant le temps minimum de stockage d’une vidéo, ou en réduisant les taux de cadrage ou les paramètres de qualité pour les caméras visées.</li>' +
    '</ul>';

var s_note_addtxt = 'Le rafraichissement sera effectué pour chaque opération telle que: nombre de caméras vidéo ou les conditions vidéo.';
var s_tblheader_reccondition = 'Conditions d\'enregistrement';
var s_cam_fps_max = 'Max ';
var s_cam_bitrate_mbps = 'Mo/s';
var s_cam_bitrate_kbps = 'ko/s';
var s_cam_fps = 'f/s';
var s_cam_fps_none = '< 1f/s';

var s_cam_kb = 'Ko';
var s_mark_nonsupport_nv200 = '(*)';
var s_mark_support_nv200_sf = '(SF)';
var s_mark_support_nv200_fq = '(FQ)';
var s_mark_support_nv200_nq = '(NQ)';

var s_space = '   ';
var s_separator = '__';

var s_tblheader_compkind_h264 = 'Type';
var s_tblheader_camnum_h264 = 'Num.';
var s_tblheader_cammodel_h264 = 'Numéro de modèle';
var s_tblheader_reso_h264 = 'Résolution';
var s_tblheader_scanmode_h264 = 'Mode de capture Image';
var s_tblheader_priority_h264 = 'Mode priorité';
var s_tblheader_quality_h264 = 'Qualité';
var s_tblheader_bitrate_h264 = 'Débit binaire par caméra vidéo ';

var s_compkind_h264 = 'H.264';

var s_cammodel_h264_01 = 'i-PRO SmartHD';
var s_cammodel_h264_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_h264_03 = 'NP502/NW502S';
var s_cammodel_h264_04 = 'GXE500';
var s_cammodel_h264_05 = 'BB-HCM7**';
var s_cammodel_h264_06 = 'SF4**/SW4**';
var s_cammodel_h264_07 = 'GXE100';
var s_cammodel_h264_08 = 'Autres caméras vidéo';

var s_camscan_h264_00 = '--';
var s_camscan_h264_01 = '1.3M';
var s_camscan_h264_02 = '2M';
var s_camscan_h264_03 = '3M';
var s_camscan_h264_04 = '1M';
var s_camscan_h264_05 = 'deux modes';
var s_camscan_h264_06 = 'VGA(4)';
var s_camscan_h264_07 = '2/3M';
var s_camscan_h264_08 = '1.2M';
var s_camscan_h264_09 = '1.9M';
var s_camscan_h264_10 = '2.8M';
var s_camscan_h264_11 = '3.1M';
var s_camscan_h264_12 = '3.9M';
var s_camscan_h264_13 = '4.9M';
var s_camscan_h264_14 = '5M';
var s_camscan_h264_15 = '8M';
var s_camscan_h264_16 = '10M';
var s_camscan_h264_17 = '12M';
var s_camscan_h264_18 = '20M';
var s_camscan_h264_19 = '40M';

var s_camreso_h264_00 = '--';
var s_camreso_h264_01 = 'SXVGA';
var s_camreso_h264_02 = 'VGA';
var s_camreso_h264_03 = 'QVGA';
var s_camreso_h264_04 = 'FHD';
var s_camreso_h264_05 = 'HD';
var s_camreso_h264_06 = 'HVGAW';
var s_camreso_h264_07 = '180P';
var s_camreso_h264_08 = 'SVGA';
var s_camreso_h264_09 = 'CIF';
var s_camreso_h264_10 = '2CIF';
var s_camreso_h264_11 = 'D1';
var s_camreso_h264_12 = '720P';
var s_camreso_h264_13 = '1080P';

var s_camprio_H264_00 = '--';
var s_camprio_h264_01 = 'Débit binaire';
var s_camprio_h264_02 = 'Fréquence de trame';
var s_camprio_h264_03 = 'AdvancedVBR[high]';
var s_camprio_h264_04 = 'AdvancedVBR[middle]';
var s_camprio_h264_05 = 'AdvancedVBR[low]';

var s_camqual_h264_00 = '--';
var s_camqual_h264_01 = 'Précis (SF)';
var s_camqual_h264_02 = 'Normal (FQ)';
var s_camqual_h264_03 = 'Faible (NQ)';

var s_compkind_jpeg = 'JPEG';

var s_cammodel_jpeg_01 = 'i-PRO SmartHD';
var s_cammodel_jpeg_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_jpeg_03 = 'NP502/NW502S';
var s_cammodel_jpeg_04 = 'GXE500/GXE100';
var s_cammodel_jpeg_05 = 'NP304/NF302';
var s_cammodel_jpeg_06 = 'NP1000';
var s_cammodel_jpeg_07 = 'Other i-PROs';
var s_cammodel_jpeg_08 = 'BB-HCM7**';
var s_cammodel_jpeg_09 = 'BB-HCM5**/3**/1**';
var s_cammodel_jpeg_10 = 'SF4**/SW4**';
var s_cammodel_jpeg_11 = 'Other Cameras';

var s_camreso_jpeg_01 = s_camreso_h264_01;
var s_camreso_jpeg_02 = s_camreso_h264_02;
var s_camreso_jpeg_03 = s_camreso_h264_03;
var s_camreso_jpeg_04 = s_camreso_h264_04;
var s_camreso_jpeg_05 = s_camreso_h264_05;
var s_camreso_jpeg_06 = s_camreso_h264_06;
var s_camreso_jpeg_07 = s_camreso_h264_07;
var s_camreso_jpeg_08 = s_camreso_h264_08;
var s_camreso_jpeg_09 = 'QXGA';

var s_camscan_jpeg_00 = s_camscan_h264_00;
var s_camscan_jpeg_01 = s_camscan_h264_01;
var s_camscan_jpeg_02 = s_camscan_h264_02;
var s_camscan_jpeg_03 = s_camscan_h264_03;
var s_camscan_jpeg_04 = 'Full scan';
var s_camscan_jpeg_05 = s_camscan_h264_04;
var s_camscan_jpeg_06 = s_camscan_h264_05;
var s_camscan_jpeg_07 = s_camscan_h264_06;

var s_camqual_jpeg_00 = '0';
var s_camqual_jpeg_01 = '1';
var s_camqual_jpeg_02 = '2';
var s_camqual_jpeg_03 = '3';
var s_camqual_jpeg_04 = '4';
var s_camqual_jpeg_05 = '5';
var s_camqual_jpeg_06 = '6';
var s_camqual_jpeg_07 = '7';
var s_camqual_jpeg_08 = '8';
var s_camqual_jpeg_09 = '9';
var s_camqual_jpeg_10 = 'Fine ';
var s_camqual_jpeg_11 = 'Normal ';
var s_camqual_jpeg_12 = 'Low ';

var s_compkind_mpeg4 = 'MPEG-4';

var s_cammodel_mpeg4_01 = 'i-PRO SmartHD';
var s_cammodel_mpeg4_02 = 'NP502/NW502S';
var s_cammodel_mpeg4_03 = 'GXE500';
var s_cammodel_mpeg4_04 = 'NP304/NF302';
var s_cammodel_mpeg4_05 = 'NP1000';
var s_cammodel_mpeg4_06 = 'Other i-PROs';
var s_cammodel_mpeg4_07 = 'BB-HCM7**';
var s_cammodel_mpeg4_08 = 'Other Cameras';

var s_camscan_mpeg4_00 = s_camscan_h264_00;
var s_camscan_mpeg4_01 = s_camscan_h264_01;
var s_camscan_mpeg4_02 = s_camscan_h264_03;
var s_camscan_mpeg4_03 = s_camscan_jpeg_04;

var s_camreso_mpeg4_01 = s_camreso_h264_02;
var s_camreso_mpeg4_02 = s_camreso_h264_03;

var s_camprio_mpeg4_00 = s_camprio_H264_00;
var s_camprio_mpeg4_01 = s_camprio_h264_01;

var s_camqual_mpeg4_00 = s_camqual_h264_00;
var s_camqual_mpeg4_01 = s_camqual_h264_01;
var s_camqual_mpeg4_02 = s_camqual_h264_02;
var s_camqual_mpeg4_03 = s_camqual_h264_03;

var s_compkind_face = 'H.264<br />(Face matching)';
var s_cammodel_face_01 = 'See this tip';
var s_camreso_face_01 = s_camreso_h264_01;
var s_camqual_face_01 = 'SF';

var s_td_RecTime = 'Durée enregistrement';
var s_txtTimeHour = 'Heure(s) par jour';
var s_txtDays = 'Jour(s)';

var s_td_HDDInfo = 'HDD';
var s_Lst_HDDCapa = 'Capacité';
var s_lst_RAID  = 'RAID';
var sel_raid_str = new Array('Simple', 'RAID5');
var sel_hdd_unit = 'GB';

var s_ck_advanced = 'All HDD set<br />Advanced Mode';
var s_ck1_advanced = 'All HDD set';
var s_ck2_advanced = 'Advanced Mode';

var s_td_VMDAudio = 'VMD/Audio';
var s_ck_VMDInfo = 'VMD Info.';
var s_ck_Audio = 'Audio';
var STR_LABELNOTICE1 = ' * Réglages pour toutes les caméras vidéo';

var s_td_ResultTitle = 'Résultat';

var s_td_theoryValue = 'Théorique<br />résultat';
var s_td_theoryTotalBitRate = 'Débit binaire total (Mo/s)';
var s_td_theoryCapasity = 'Capacité (TB)';

var OUTPUTNOTICE = 'Attention attirée sur les résultats de ce calculateur';

var s_td_Server = 'Serveur';
var s_td_NV200 = 'NV200';
var s_td_NV200_24ch = 'NV200';
var s_td_NV200_Name1 = 'WJ-NV200';
var s_td_NV200_Name2 = '';
var s_td_NV200_Name3 = '';
var s_td_NV200_Name4 = '';
var s_td_NV200_Name5 = '';
var s_td_NVE20 = '';

var s_td_HP = 'HP';
var s_td_HPsrvName1 = 'ProLiant ML350p Gen8';
var s_td_HPsrvName2 = 'E5-2630 1P6C 4G<br />SAS/8SFF T';

var s_td_DELL_128 = 'DELL(128ch *2)';
var s_td_DELL_064 = 'DELL(64ch *2)';
var s_td_DELLsrvName1 = 'PowerEdge R520';
var s_td_DELLsrvName2 = 'PowerEdge R320';
var s_td_DELLsrvName3 = 'PowerEdge R420';

var s_td_INTEL_128 = 'INTEL(128ch *1)';
var s_td_INTEL_064 = 'INTEL(64ch *1)';
var s_td_INTELsrvName1 = 'S1200V3RPM';
var s_td_INTELsrvName2 = 'PAN-S1200V3R<br />PM-2U-32';
var s_td_INTELsrvName3 = 'PAN-R1304RPM<br />SHOR-1U-64';
var s_td_INTELsrvName4 = 'PAN-S1200V3R<br />PM-2U-64';

var s_td_LabelExtUnit = 'Unité d\'extension';
var s_td_LabelHDDnum = 'HDD(*3)';
var s_td_LabelCapa = 'Capacité (TB)';
var s_td_LabelPowWatt = 'Watt (W)';
var s_td_LabelU = 'Hauteur totale (U)';

var s_print_detail = 'Vérifier pour afficher en détail';

var s_table_HPtitle = 'Configuration d\'unité de serveur HP';
var s_table_INTEL064title = 'Configuration d\'unité de serveur INTEL (64 ch)';
var s_table_INTEL128title = 'Configuration d\'unité de serveur INTEL (128 ch)';
var s_table_DELL064title = 'Configuration d\'unité de serveur DELL (64 ch)';
var s_table_DELL128title = 'Configuration d\'unité de serveur DELL (128 ch)';

var s_detail_MainUnit = 'Unité principale';
var s_detail_model = '';
var s_detail_license = '';
var s_detail_hde = 'Unité d\'extension';
var s_detail_hdd = 'HDD(*3)';
var s_detail_camera = 'Caméras vidéo';

var s_detail_h264 = 'Caméras vidéo H.264';
var s_detail_cam1 = '[1]';
var s_detail_cam2 = '[2]';
var s_detail_cam3 = '[3]';

var s_detail_totalbitrate = 'Débit binaire (Mo/s)';
var s_detail_totaldata = 'Volume de données (TB)';

var s_print_button = 'Sortie fichier texte';
var s_print_label01 = 'Presser le bouton implanté à gauche pour obtenir les résultats des données texte. <br />' +
    'Copier le texte vers votre document.';
var s_print_title = 'Sortie fichier texte';

var s_switch_on = 'Activé';
var s_switch_off = 'Désactivé';

var s_buf = '---';

var POPUP_CAMNUM = 'Numéro que vous entrez dans le cas de GXE500 n\'est pas le nombre d\'appareils.<br />' +
    'S\'il vous plaît entrer une quantité de canaux à utiliser.';

var POPUP_RESOLUTION = '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td colspan="2">[4:3]</td><td colspan="2">[16:9]</td></tr>' +
    '<tr><td>QXGA</td><td>2048*1536</td><td>FHD</td><td>1920*1080</td></tr>' +
    '<tr><td>SXVGA</td><td>1280*960</td><td>HD</td><td>1280*720</td></tr>' +
    '<tr><td>SVGA</td><td>800*600</td><td>-</td><td>-</td></tr>' +
    '<tr><td>VGA</td><td>640*480</td><td>HVGAW</td><td>640*360</td></tr>' +
    '<tr><td>QVGA</td><td>320*240</td><td>180P</td><td>320*180</td></tr>' +
    '</table>';

var POPUP_MODE = '<ul><li>deux modes : Double panorama + PTZ à découpage quarte, simple / panorama + PTZ à découpage quarte, simple</li>' +
    '<li>VGA(4) : Débits à découpage quarte</li></ul>';

var POPUP_BITRATE = '<ul>' +
    '<li>Nombre de FPS débit binaire constant est la valeur maximale, les fluctuations seront plus par rapport à la cadence définie.</li>' +
    '<li>Nombre de FPS taux de trame est la qualité d\'image sur l\'équivalent de FQ.</li>' +
    '<li>La perte par paquets avec la communication sans fil n\'est pas considérée.</li>' +
    '</ul>';

var POPUP_H264 = '<ul>' +
    '<li>Le débit binaire de flux à partir des caméras vidéo BB-HCM*** inclut non seulement des données d\'image mais également quelques données d\'en-tête de protocole de réseau (supposant un accroissement de 30% sur des données d\'image).</li>' +
    '</ul>';

var POPUP_FACE = 'L\'appariement de visage est disponible avec seulement 1 canal de NV200.' +
    'NV200 sont nécessaires comme le nombre de caméras «d\'appariement de visage».';
var POPUP_FACEMODEL = 'NP502, SP305 et SP306 8x mégapixels objectif à focale variable.';

var POPUP_HDDCAPA = 'Veuillez utiliser le modèle recommandé.';
var POPUP_RAID_ARRAY = new Array('Simple',  'RAID5: <b>Un</b> disque de parité est nécessaire pour chaque unité.');

var NOTICERECTYPEINFO = 'Attention <br />';
var ELECNOTICE = '- Watt (W) est calculé seulement pour des serveur. Les autres composants, tels que des caméras vidéo, des commutateurs réseau ou etc. ne sont <b>pas</b> considérés pour le calcul de  Watt-heure.';
var UNITSPACE = '- Aménager un espace de 1U (44 mm 1,73 po.) au-dessus et en-dessous de l\'appareil aux fins de ventilation.';

var INFOMSGTIPS = '---------------------------CONSEILS----------------------------';

var CAMNUMOVER = 'Ce calculateur limite le nombre maximum de caméras vidéo à 1000.';

var s_note_exttxt1 = '(*1) Dans le cas de RAID5 avec seulement l\'unité principale, s\'il vous plaît mettre cinq ou plus le nombre de disque dur par l\'unité principale.';
var s_note_exttxt2 = '(*2) Lorsque vous utilisez Dell disque dur unités d\'extension, s\'il vous plaît voir ci-dessous<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp- Utilisez une seule unité d\'extension<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModèle) MD1200<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp- Utiliser plusieurs unités d\'extension<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModèle) Primaire: MD3200, Autres: MD1200';

var s_note_exttxt3 = '(*3) Le numéro du lecteur de HDD est pour le secteur d\'enregistrement.<br />&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPour la configuration matériel, un SSD/HDD est nécessaire comme secteur de système séparément.';

