;
//NV200の台数　ライセンス考慮前後
var nv200num = new Array(0, 0);
//総金額　ライセンス考慮前後
var nv200money = new Array(0, 0);
//NV200の各型番の台数 [0]/2Q, [1]/2N, [2]V1N・/2M, [3]V1M, [4]/1L
var nv200kind_num = new Array(2);
for (var i = 0; i < 2; i++) {
    nv200kind_num[i] = new Array(0, 0, 0, 0, 0);
}
//ライセンス数の合計　ライセンス考慮前後
var nv200license = new Array(0, 0);
//ライセンス考慮前と考慮後どちらが安かったか 0:考慮前 1:考慮後
var lp = 0;


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)情報クラス
**************************************************************************** */
function RECDinfo(
    lngcamera,
    lngH264_1,
    lngH264_2,
    lngH264_3,
    lngJpeg_1,
    lngJpeg_2,
    lngJpeg_3,
    lngMpeg4_1,
    lngFace_1,
    lngtotaldata,
    bitrate,
    dsp_bitrate,
    lngips,
    lnghde,
    intHDDq,
    lngLastHDDCapa,
    pankflg) {

    // 総カメラ数
    this.lngcamera = lngcamera;

    // H264(1)
    this.lngH264_1 = lngH264_1;
    // H264(2)
    this.lngH264_2 = lngH264_2;
    // H264(3)
    this.lngH264_3 = lngH264_3;

    // JPEG(1)
    this.lngJpeg_1 = lngJpeg_1;
    // JPEG(2)
    this.lngJpeg_2 = lngJpeg_2;
    // JPEG(3)
    this.lngJpeg_3 = lngJpeg_3;

    // MPEG4(1)
    this.lngMpeg4_1 = lngMpeg4_1;

    // H264(顔照合)(1)
    this.lngFace_1 = lngFace_1;

    // 総容量
    this.lngtotaldata = lngtotaldata;
    // 総録画ビットレート（計算用）
    this.bitrate = bitrate;
    // 総録画ビットレート（表示用）
    this.dsp_bitrate = dsp_bitrate;
    // 総録画ips(JPEG)
    this.lngips = lngips;

    // 増設ユニット台数
    this.lnghde = lnghde;
    // HDD数
    this.intHDDq = intHDDq;
    // 最終HDD割り当て容量
    this.lngLastHDDCapa = lngLastHDDCapa;

    // 割り当て不可フラグ
    this.pankflg = pankflg;
}

/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)情報コピー
**************************************************************************** */
Array.prototype.clone = function() {

    return Array.apply(null, this);
};

/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)情報初期化

    tmpRecNum    NWDR(レコーダー or 推奨サーバ)台数
**************************************************************************** */
function NWDRArrayInit(tmpRecNum) {
    // パラメータをすべて0にする
    gNwdrInfo.length = 0;
    for (var idx = 0; idx < tmpRecNum; idx++) {
        gNwdrInfo[idx] = new RECDinfo(
            0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
}


/* ***************************************************************************
    カメラのビットレートと型番の情報
**************************************************************************** */
function cameraBitrate(bitrate, kind) {
    this.bitrate = bitrate;
    this.kind = kind;
}


/* ***************************************************************************
    録画容量計算

    nKeyCode     キー入力コード
**************************************************************************** */
function calcdata(nKeyCode) {
    // メッセージ初期化
    g_strmsg = '';
    // カメラ総台数初期化
    g_totalcannum = 0;

    // 録画日数
    g_day = Number(frmNWDR.txtdaysnum.value);
    // 録画時間
    g_hour = Number(
        frmNWDR.sel_Time.options[frmNWDR.sel_Time.selectedIndex].value);
    // HDD容量
    gSelHddUnitGB = Number(
        frmNWDR.sel_HDD.options[frmNWDR.sel_HDD.selectedIndex].value);
    // RAID構成
    gSelRaidMode = Number(
        frmNWDR.sel_RAID.options[frmNWDR.sel_RAID.selectedIndex].value);

    // キーコードが矢印左右の場合は計算しない
    if (nKeyCode == 37 || nKeyCode == 39) {
        return;
    }

    // 日数が0の時は、計算結果を表示せず終了
    if (g_day == 0) {
        datafullout();
        return;
    }

    // カメラ種別取得
    g_camerakind[0] = Number(
        frmNWDR.sel_model_h264_1.selectedIndex);
    g_camerakind[1] = Number(
        frmNWDR.sel_model_h264_2.selectedIndex);
    g_camerakind[2] = Number(
        frmNWDR.sel_model_h264_3.selectedIndex);

    // カメラ台数取得
    g_cameranum[0] = Number(frmNWDR.txt_num_h264_1.value);
    g_cameranum[1] = Number(frmNWDR.txt_num_h264_2.value);
    g_cameranum[2] = Number(frmNWDR.txt_num_h264_3.value);

    // 総カメラ台数を取得
    for (var i = 0; i < camerakind; i++) {
        // 入力欄が空だったときは、台数を0にする
        if (g_cameranum[i] == '') {
            g_cameranum[i] = 0;
        }
        // 総カメラ台数に加算
        g_totalcannum = g_totalcannum + Number(g_cameranum[i]);
    }
    // 総カメラ台数が0の時は、計算結果を表示せず終了
    if (g_totalcannum == 0) {
        datafullout();
        return;
    }
    // 総台数が1000より大きい場合は、メッセージを表示し計算せず終了
    if (g_totalcannum > 1000) {
        Outputmsg(CAMNUMOVER, ALARTMSGMODE);
        datafullout();
        return;
    }

    // 計算結果欄を初期化
    datafullout();
    datafullinit();

    // 各カメラのビットレートを取得
    // JPEG: Mbps
    // H.264, MPEG4 : Kbps
    g_bitrate[0] = Number(frmNWDR.sel_bitrate_h264_1.value);
    g_bitrate[1] = Number(frmNWDR.sel_bitrate_h264_2.value);
    g_bitrate[2] = Number(frmNWDR.sel_bitrate_h264_3.value);

    // ここからは、まずJPEGのゲタを含めた、帯域ビットレートを扱う

    // 表示用ビットレート設定
    g_Dsp_bitrate[0] = g_bitrate[0] / 1024;
    g_Dsp_bitrate[1] = g_bitrate[1] / 1024;
    g_Dsp_bitrate[2] = g_bitrate[2] / 1024;

    // 計算用ビットレート設定
    g_bitrate[0] = g_bitrate[0] / 1000;
    g_bitrate[1] = g_bitrate[1] / 1000;
    g_bitrate[2] = g_bitrate[2] / 1000;

    // 映像ビットレート
    g_videobitrate[0] = g_bitrate[0];
    g_videobitrate[1] = g_bitrate[1];
    g_videobitrate[2] = g_bitrate[2];

    // VMD・音声両方OFFの場合は登録可能カメラ台数が
    // そのまま接続可能数になる (128ch support 2014.07.11 H.Sasaki)
    g_DynaConnect[nNwdrHP] = defCamNumMax[nNwdrHP];
    g_DynaConnect[nNwdrINTEL064] = defCamNumMax[nNwdrINTEL064];
    g_DynaConnect[nNwdrDELL064] = defCamNumMax[nNwdrDELL064];
    g_DynaConnect[nNwdrINTEL128] = defCamNumMax[nNwdrINTEL128];
    g_DynaConnect[nNwdrDELL128] = defCamNumMax[nNwdrDELL128];
    // 総ビットレート(表示用)
    var dsp_totalBitrate = 0;
    // ビットレート合計値
    for (var idx = 0; idx < camerakind; idx++) {
        // 表示用
        dsp_totalBitrate += (g_cameranum[idx] * g_Dsp_bitrate[idx]);
    }

    // 総ビットレート表示
    frmNWDR.txttotalbit.value = NumberToFixed(dsp_totalBitrate, 3);

    // 各カメラ毎の録画データ量を算出する
    g_eachModelInfo.length = 0;
    for (var idx = 0; idx < camerakind; idx++) {
        // 録画容量計算
        var each_size =
            ((g_bitrate[idx] / 8) * 60 * 60 * (g_hour * g_day)) /
            1000 / 1000;

        // 録画容量を変数に格納する
        g_eachModelInfo.push({
            'camcode': [idx],
            'camnum': g_cameranum[idx],
            'rate': g_bitrate[idx],
            'jpegips': g_jpegips[idx],
            'reccapa': each_size,
            'dsp_rate': g_Dsp_bitrate[idx]
        });
    }

    // 総ビットレート(計算用)
    var totalBitrate = 0;
    // ビットレート合計値
    for (var idx = 0; idx < camerakind; idx++) {
        // 計算用
        totalBitrate += (g_cameranum[idx] * g_bitrate[idx]);
    }

    // 総録画容量算出
    var totalhddcap =
        ((totalBitrate / 8) * 60 * 60 * (g_hour * g_day)) /
        1000 / 1000;

    // 総録画容量表示
    frmNWDR.txttotalcap.value = GetMarumCapa(totalhddcap);

    // 録画条件により計算不要なNWDR(レコーダー or 推奨サーバ)を特定する
    SetDisplayResultFlag_InputParam();

    // 各NWDR(レコーダー or 推奨サーバ)毎の結果を計算する

    // ◆HPサーバの結果を計算する◆
    if (1 == g_DsplayResultFlag[nNwdrHP]) {
        // 計算実行
        var buf = basicCalc(nNwdrHP);
        if (buf < 0) {
            // HPサーバでは録画不可
            dataHPout();
        } else {
            Calchdd(nNwdrHP);
            // 計算結果を出力
            HP_output(nNwdrHP);
            
            // 詳細情報出力
            if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrHP, '');
            }
        }
    }

    // ◆INTEL(64ch)サーバの結果を計算する◆
    if (1 == g_DsplayResultFlag[nNwdrINTEL064]) {
        // 計算実行
        var buf = basicCalc(nNwdrINTEL064);
        if (buf < 0) {
            // INTELサーバでは録画不可
            dataINTELout(nNwdrINTEL064);
        } else {
            Calchdd(nNwdrINTEL064);
            // 計算結果を出力
            INTEL_output(nNwdrINTEL064);
            // 詳細情報出力
           if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrINTEL064, '');
            }
        }
    }

    // ◆DELL(64ch)サーバの結果を計算する◆
    if (1 == g_DsplayResultFlag[nNwdrDELL064]) {
        // 計算実行
        var buf = basicCalc(nNwdrDELL064);
        if (buf < 0) {
            // DELLサーバでは録画不可
            dataDELLout(nNwdrDELL064);
        } else {
            Calchdd(nNwdrDELL064);
            // 計算結果を出力
            DELL_output(nNwdrDELL064);
            // 詳細情報出力
           if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrDELL064, '');
            }
        }
    }
    // ◆INTEL(128ch)サーバの結果を計算する◆
    if (1 == g_DsplayResultFlag[nNwdrINTEL128]) {
        // 計算実行
        var buf = basicCalc(nNwdrINTEL128);
        if (buf < 0) {
            // INTELサーバでは録画不可
            dataINTELout(nNwdrINTEL128);
        } else {
            Calchdd(nNwdrINTEL128);
            // 計算結果を出力
            INTEL_output(nNwdrINTEL128);
            // 詳細情報出力
           if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrINTEL128, '');
            }
        }
    }

    // ◆DELL(128ch)サーバの結果を計算する◆
    if (1 == g_DsplayResultFlag[nNwdrDELL128]) {
        // 計算実行
        var buf = basicCalc(nNwdrDELL128);
        if (buf < 0) {
            // DELLサーバでは録画不可
            dataDELLout(nNwdrDELL128);
        } else {
            Calchdd(nNwdrDELL128);
            // 計算結果を出力
            DELL_output(nNwdrDELL128);
            // 詳細情報出力
           if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrDELL128, '');
            }
        }
    }
}


/* ***************************************************************************
    録画条件から、NWDR(レコーダー or 推奨サーバ)毎の計算結果表示を制御する
**************************************************************************** */
function SetDisplayResultFlag_InputParam() {
    // 表示フラグ初期化
    for (var idx = 0; idx < g_DsplayResultFlag.length; idx++) {
        g_DsplayResultFlag[idx] = 0;
    }
    g_DsplayResultFlag[nNwdrHP] = 0;
    g_DsplayResultFlag[nNwdrINTEL064] = 0;
    g_DsplayResultFlag[nNwdrDELL064] = 0;
    g_DsplayResultFlag[nNwdrINTEL128] = 0;
    g_DsplayResultFlag[nNwdrDELL128] = 0;

    if (gSelHddUnitGB == 4000) {
        g_DsplayResultFlag[nNwdrHP] = 1;
        g_DsplayResultFlag[nNwdrINTEL064] = 1;
        g_DsplayResultFlag[nNwdrDELL064] = 1;
        g_DsplayResultFlag[nNwdrINTEL128] = 1;
        g_DsplayResultFlag[nNwdrDELL128] = 1;
    }

    if (gSelHddUnitGB == 3000) {  // INTEL以外
        g_DsplayResultFlag[nNwdrHP] = 1;
        g_DsplayResultFlag[nNwdrDELL064] = 1;
        g_DsplayResultFlag[nNwdrDELL128] = 1;
    }
}


/* ***************************************************************************
    型番情報をビットレートでソートする(昇順)

    rate1    型番情報1
    rate2    型番情報2

    0 >      model1のビットレートが大きい
    0        同じ
    0 <      model2のビットレートが大きい
**************************************************************************** */
function SortEachModelInfo_Aorder(model1, model2) {
    // ビットレート取得
    var product_id1 = model1['rate'];
    var product_id2 = model2['rate'];

    // 値を比較
    return product_id1 - product_id2;
}


/* ***************************************************************************
    型番情報をビットレートでソートする(降順)

    rate1    型番情報1
    rate2    型番情報2

    0 >      model2のビットレートが大きい
    0        同じ
    0 <      model1のビットレートが大きい
**************************************************************************** */
function SortEachModelInfo_Dorder(model1, model2) {

    // ビットレート取得
    var product_id1 = model1['rate'];
    var product_id2 = model2['rate'];

    // 値を比較
    return product_id2 - product_id1;
}


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)の録画情報を計算する

    nNwdrCode 0 : HP
             1 : INTEL(64ch)
             2 : DELL(64ch)
**************************************************************************** */
function basicCalc(nNwdrCode) {
    // 仮に割り当てる推奨サーバ台数を決定
    // この関数の中で、カメラ情報を降順にソートしている
    var tmpRecNum = getTempNwdrNum(nNwdrCode);

    // 最初から1台も割り当て出来ない場合は、
    // 計算するまでもない
    if (tmpRecNum < 1) {
        return -1;
    }

    // NWDR(レコーダー or 推奨サーバ)情報初期化
    NWDRArrayInit(tmpRecNum);

    // NWDR(レコーダー or 推奨サーバ)にカメラを割り当てる
    var looptempnum = tmpRecNum;
    while (true) {
        // 割り当て実施
        var buf = SubAssignNwdr(nNwdrCode, looptempnum, 1);
        if (0 > buf) {
            // 割り当てられなかった
            return buf;
        } else if (1 == buf) {
            // 容量が不足したので、NWDR(レコーダー or 推奨サーバ)を1台追加する
            looptempnum++;
            NWDRArrayInit(looptempnum);
        } else {
            // 割り当てに成功
            break;
        }
    }

    // 小さいビットレートからつめていけば、
    // もっと効率的に割り当てできるかもしれない

    // 再計算するので、1回目の計算結果を保存しておく
    var copyNwdrInfo = gNwdrInfo.clone();
    var copyNwdrInfo_tmpRecnum = looptempnum;

    // カメラ情報をソートする(降順)
    g_eachModelInfo.sort(SortEachModelInfo_Dorder);

    // NWDR(レコーダー or 推奨サーバ)情報初期化
    NWDRArrayInit(tmpRecNum);

    // NWDR(レコーダー or 推奨サーバ)にカメラを割り当てる
    looptempnum = tmpRecNum;
    while (true) {
        // 割り当て実施
        var buf = SubAssignNwdr(nNwdrCode, looptempnum, 1);
        if (0 > buf) {
            // 割り当てられなかった
            return buf;
        } else if (1 == buf) {
            // 容量が不足したので、推奨サーバを1台追加する
            looptempnum++;
            NWDRArrayInit(looptempnum);
        } else {
            // 割り当てに成功
            break;
        }
    }

    var gNwdrInfo_tmpRecnum = looptempnum;

    // ソートする前と後で、どちらが安く済むかチェック
    // 本体と増設の値段割合は 4: 1 とする
    var copyNwdrInfo_tmpRecnum = FunCompareOptimum(gNwdrInfo, copyNwdrInfo, gNwdrInfo_tmpRecnum, copyNwdrInfo_tmpRecnum);

    // 再計算するので、1回目の計算結果を保存しておく
    var copyNwdrInfo = gNwdrInfo.clone();

    // カメラ情報をソートする(降順)
    g_eachModelInfo.sort(SortEachModelInfo_Dorder);

    // NWDR(レコーダー or 推奨サーバ)情報初期化
    NWDRArrayInit(tmpRecNum);

    // NWDR(レコーダー or 推奨サーバ)にカメラを割り当てる
    looptempnum = tmpRecNum;
    while (true) {
        // 割り当て実施
        var buf = SubAssignNwdr(nNwdrCode, looptempnum, 2);
        if (0 > buf) {
            // 割り当てられなかった
            return buf;
        } else if (1 == buf) {
            // 容量が不足したので、NWDR(レコーダー or 推奨サーバ)を1台追加する
            looptempnum++;
            NWDRArrayInit(looptempnum);
        } else {
            // 割り当てに成功
            break;
        }
    }

    gNwdrInfo_tmpRecnum = looptempnum;

    // ソートする前と後で、どちらが安く済むかチェック
    // 本体と増設の値段割合は 4: 1 とする
    FunCompareOptimum(gNwdrInfo, copyNwdrInfo, gNwdrInfo_tmpRecnum, copyNwdrInfo_tmpRecnum);

    // 顔照合カメラを複数台割り当てようとした場合は、
    // ここで終了
    if (g_FaceOverFlag) {
        return 1;
    }

    return 1;
}


/* ***************************************************************************
    2つのNWDR(レコーダー or 推奨サーバ)情報を比較し、どちらが金額的に安いかチェックする
    (価格比率固定)

    NwdrInfo1    NWDR(レコーダー or 推奨サーバ)情報1
    NwdrInfo2    NWDR(レコーダー or 推奨サーバ)情報2

    1            NWDR(レコーダー or 推奨サーバ)情報1の方が高い
    0            NWDR(レコーダー or 推奨サーバ)情報2の方が高い
**************************************************************************** */
function FunCompareOptimum(NwdrInfo1, NwdrInfo2, NwdrNum1, NwdrNum2) {
    var NwdrIdx1 = 0; var NwdrIdx2 = 0;
    var HDEnum1 = 0; var HDEnum2 = 0;

    NwdrIdx1 = NwdrInfo1.length;
    NwdrIdx2 = NwdrInfo2.length;

    for (var i = 0; i < NwdrIdx1; i++) {
        HDEnum1 = Number(HDEnum1) + Number(Math.ceil(NwdrInfo1[i].lngtotaldata / (gSelHddUnitGB / 1000)));
    }
    for (var i = 0; i < NwdrIdx2; i++) {
        HDEnum2 = Number(HDEnum2) + Number(Math.ceil(NwdrInfo2[i].lngtotaldata / (gSelHddUnitGB / 1000)));
    }

    // 詰め込み式と通常式が同じPC数の場合
    if (NwdrNum1 == NwdrNum2) {
        if (HDEnum1 < HDEnum2) {
            return NwdrNum1;
        } else {
            tempnum = NwdrInfo2.length;
            NWDRArrayInit(tempnum);
            gNwdrInfo = NwdrInfo2.clone();
            return NwdrNum2;
        }
    // 詰め込み式の方がPC数が少ない場合
    } else if (NwdrNum1 < NwdrNum2) {
        return NwdrNum1;
    // 通常の方がPC数が少ない場合
    } else {
        tempnum = NwdrInfo2.length;
        NWDRArrayInit(tempnum);
        gNwdrInfo = NwdrInfo2.clone();
        return NwdrNum2;
    }
}

/* ***************************************************************************
    1セット(レコーダーor 推奨サーバ+増設Max)に収まり切らない容量のカメラが
    あるかチェックする

    nNwdrCode 0 : HP
             1 : INTEL(64ch)
             2 : DELL(64ch)
**************************************************************************** */
function FunCheckOverData(nNwdrCode) {
    // HPは増設無し
    if (nNwdrCode == nNwdrHP) {
        g_maxdata = g_dobtempdata / 1000;

    // それ以外は増設あり
    } else {
        // 増設容量
        g_maxdata = Number(g_dobtempdata_add) * Number(defLimitOfExtNum[nNwdrCode]) / 1000;
        // 本体＋増設
        g_maxdata = Number(g_maxdata) + (Number(g_dobtempdata) / 1000);
    }

    // カメラ種別毎に調べる
    for (var i = 0; i < g_eachModelInfo.length; i++) {
        // カメラ種別
        var buf = g_eachModelInfo[i];
        // 台数が入力されているもののみチェック
        if (buf['camnum'] != 0) {
            // 収まりきらないか
            if ((Number(buf['reccapa']) / Number(defRecCoef[nNwdrCode])) > g_maxdata) {


                return -1;
            }
        }
    }

    return 0;
}


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)にカメラを割り当てる

    tempnum  仮割り当てしたNWDR(レコーダー or 推奨サーバ)台数
    nNwdrCode 0 : HP
              1 : INTEL(64ch)
              2 : DELL(64ch)
**************************************************************************** */
function SubAssignNwdr(nNwdrCode, tempnum, checkNum) {

    // 割当中のNWDR(レコーダー or 推奨サーバ)番号
    var intNWDRq = 0;

    // 1セット(推奨サーバ+増設Max)に収まり切らない容量のカメラがあった場合は、
    // 計算するまでもない
    var bigcheck = FunCheckOverData(nNwdrCode);
    if (bigcheck < 0) {
        return -1;
    }

    // NWDR(レコーダー or 推奨サーバ)1ユニットの容量
    var oneUnitCapa_TB = Number(g_dobtempdata) / 1000;

    // 本体割当終了フラグ
    var oneUnitFinishedFlag = 0;

    // まずは、仮算出したNWDR(レコーダー or 推奨サーバ)本体のみ(増設はつけない)でカメラを割り当ててみる
    for (var camno = 1; camno < g_totalcannum + 1; camno++) {
        // カメラ情報取得
        targetcaminfo = FunCaluSigleCapa(nNwdrCode, camno);

        // 本体に収まる容量か
        if (targetcaminfo[0] > oneUnitCapa_TB) {
            // カメラの割当ループを抜けて、増設を使う様にする
            break;
        }

        // 割当可能なNWDR(レコーダー or 推奨サーバ)を探す
        for (var nwdrno = intNWDRq; nwdrno < tempnum; nwdrno++) {
            // 本体のみで割当可能か（割当不可でも、他のNWDR(レコーダー or 推奨サーバ)は探さない)
            var ret = SubChangePCChecklimit(nNwdrCode, targetcaminfo, nwdrno, 0);
            if (0 > ret) {
                // このNWDR(レコーダー or 推奨サーバ)には割当不可
                // 最終NWDR(レコーダー or 推奨サーバ)でも割当可能なものがなかったら、
                // 増設に移る
                if (nwdrno == tempnum - 1) {
                    // 終了フラグを立てる
                    oneUnitFinishedFlag = 1;
                    break;
                }
                intNWDRq++;
                if (intNWDRq >= tempnum) {
                    intNWDRq = 0;
                }

            }
            else {
                SubCameraAddApp(
                    nwdrno, targetcaminfo[1], targetcaminfo[2],
                    targetcaminfo[3],
                    targetcaminfo[0], targetcaminfo[4]);
                gNwdrInfo[nwdrno].lngLastHDDCapa =
                    Number(gNwdrInfo[nwdrno].lngLastHDDCapa) +
                    Number(targetcaminfo[0]);

                // 次のカメラは、今割り当てた次のNWDR(レコーダー or 推奨サーバ)から割り当てる
                if (checkNum == 1) {
                    intNWDRq++;
                    if (intNWDRq >= tempnum) {
                        intNWDRq = 0;
                    }
                }
                // 割当終了
                break;
            }
        }

        // 終了フラグがたっていたら、増設に移る
        if (1 == oneUnitFinishedFlag) {
            break;
        }
    }

    // NWDR(レコーダー or 推奨サーバ)に割り当てたカメラの台数を数える
    var oneUnitCamNum = 0;
    for (var nwdrno = 0; nwdrno < tempnum; nwdrno++) {
        oneUnitCamNum = Number(oneUnitCamNum) +
            Number(gNwdrInfo[nwdrno].lngcamera);
    }

    // 割当NWDR(レコーダー or 推奨サーバ)を先頭に戻す
    intNWDRq = 0;

    // 残りのカメラを増設含めて割り当てる
    for (var camno = oneUnitCamNum + 1; camno < g_totalcannum + 1; camno++) {
        // カメラ情報取得
        targetcaminfo = FunCaluSigleCapa(nNwdrCode, camno);

        // 増設含めて割当可能か（割当不可の場合は、他のNWDR(レコーダー or 推奨サーバ)を探す)
        intNWDRq = AddCamtoAnotherUnit(nNwdrCode, targetcaminfo, intNWDRq, 1, tempnum);
        if (intNWDRq < 0) {
            return 1;
        }
        SubCameraAddApp(intNWDRq, targetcaminfo[1], targetcaminfo[2],
            targetcaminfo[3], targetcaminfo[0], targetcaminfo[4]);

    }

    // 無事割当が終了したので、フラグを立てる
    g_NDAddFlg = 0;

    return 0;
}


/* ***************************************************************************
    今からカメラを割当しようとしているNWDR(レコーダー or 推奨サーバ)が、
    性能上限を超えないかどうかをチェックする

    return 0     カメラ割当可能
    return -1    カメラ割当不可
**************************************************************************** */
function SubChangePCChecklimit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag) {

    // 既に割当不可と判断されている場合は
    // 見るまでもなく割当不可
    if (0 != gNwdrInfo[intNWDRq].pankflg) {
        return -1;
    }

    // カメラのビットレートを算出する
    var camBitrate = 0;

    // JPEGの場合は帯域1.15倍
    if (3 <= targetcaminfo[2][0] && targetcaminfo[2][0] <= 5) {
        // カメラ設定よりビットレートが高くなるので、
        // その係数をかける
        camBitrate = Number(targetcaminfo[1]) * Number(GetaJpeg);

    // その他のカメラの場合
    } else {
        // そのままのビットレート
        camBitrate = Number(targetcaminfo[1]);
    }

    // ビットレートが性能上限を超えていないか
    var nextBitrate = 0;
    nextBitrate =
        Number(gNwdrInfo[intNWDRq].bitrate) + Number(camBitrate);
    if (defLimitBandWidth[nNwdrCode] < nextBitrate) {
        // もうこのNWDR(レコーダー or 推奨サーバ)には割当できない
        gNwdrInfo[intNWDRq].pankflg = 1;

        // 割当不可でした
        return -1;
    }

    // 接続数が性能上限を超えていないか
    if (Number(g_DynaConnect[nNwdrCode]) == Number(gNwdrInfo[intNWDRq].lngcamera)) {
        // もうこのNWDR(レコーダー or 推奨サーバ)には割当できない
        gNwdrInfo[intNWDRq].pankflg = 1;

        // 割当不可でした
        return -1;
    }

    var nextRecCapa1 =
        Number(gNwdrInfo[intNWDRq].lngtotaldata) + Number(targetcaminfo[0]);
    var nextRecCapa2 = 0;
    if (0 == Number(gNwdrInfo[intNWDRq].lnghde)) {
        nextRecCapa2 =
            Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) + Number(targetcaminfo[0]);
    } else {
        nextRecCapa2 =
            Number(gNwdrInfo[intNWDRq].lnghde) * (g_dobtempdata / 1000) +
            Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) + Number(targetcaminfo[0]);
    }
    var maxdata = 0;
    if (0 == hdeflag) {
        // 本体のみ
        maxdata = g_dobtempdata / 1000;
    } else {
        // 増設含む
        maxdata = g_maxdata;
    }

    if (maxdata < nextRecCapa1 || maxdata < nextRecCapa2) {
        // この場合、別のカメラなら割当出来るかもしれないので
        // フラグはそのままにしておく

        // 割当不可でした
        return -1;
    }

    // ここまで到達した場合は、割当できます
    return 0;
}


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)にカメラが割当可能かどうか調べる
    もし割当不可だった場合は、別のNWDR(レコーダー or 推奨サーバ)で空いているものを調べる

    return -1   どのNWDR(レコーダー or 推奨サーバ)にも割当出来なかった
    それ以外    割当可能なNWDR(レコーダー or 推奨サーバ)
**************************************************************************** */
function SubChangePCCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag) {

    // まず、指定された推奨サーバに割当可能かどうか調べる
    var ret = SubChangePCChecklimit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);
    if (0 == ret) {
        // 割当可能だった
        return intNWDRq;
    }

    // 割当出来なかったので、他の推奨サーバを探す
    for (var idx = 0; idx < gNwdrInfo.length; idx++) {
        // 割当可能か
        ret = SubChangePCChecklimit(nNwdrCode, targetcaminfo, idx, hdeflag);
        if (0 == ret) {
            // 割当可能だった
            return idx;
        }
    }

    // 割当可能なNWDR(レコーダー or 推奨サーバ)は1台もなかった
    return -1;
}


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)にカメラが割当可能かどうか調べる
    もし割当可能だが、今使用中の本体、もしくは増設ユニットで容量が
    不足する場合は増設ユニットの数を増やす

    return -1   どのNWDR(レコーダー or 推奨サーバ)にも割当出来なかった
    それ以外    割当可能なNWDR(レコーダー or 推奨サーバ)
**************************************************************************** */
function AddCamtoAnotherUnit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag, tempnum) {
    var g_dobtempdata_wk = g_dobtempdata;

    // 割当可能な推奨サーバが存在するか
    var ret = SubChangePCCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);
    if (0 > ret) {
        // 割当出来なかった
        return -1;
    }

    // 必要なPC台数確認時は、容量は増設込みで確認する
    g_dobtempdata_wk = chkdobtempdata(ret, nNwdrCode, 0);

    // 今使用中の本体、もしくは増設で容量が足りるか
    var nextRecCapa =
        Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[0]);

    if (nextRecCapa > (g_dobtempdata_wk / 1000)) {
        // 足りないときは、次のNWDR(レコーダー or 推奨サーバ)を探す
        intNWDRq++;
        if (intNWDRq >= gNwdrInfo.length) {
            intNWDRq = 0;
        }
        // 割当可能なNWDR(レコーダー or 推奨サーバ)が存在するか
        ret = SubChangePCCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);

        if (0 > ret) {
            // 割当出来なかった
            return -1;
        }
    }

    // 必要な増設台数確認時は、容量は増設なしで確認する
    g_dobtempdata_wk = chkdobtempdata(ret, nNwdrCode, 1);

    // 今使用中の本体、もしくは増設で容量が足りるか
    nextRecCapa =
        Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[0]);
    if (nextRecCapa > (g_dobtempdata_wk / 1000)) {
        // 増設ユニットを増やす事が出来るか
        if (gNwdrInfo[ret].lnghde >= defLimitOfExtNum[nNwdrCode]) {
            // もうMaxまで増設をつなげている
	        // 割当可能な推奨サーバが存在するか
            if (tempnum > ret + 1) {
	            ret++;
                g_dobtempdata_wk = chkdobtempdata(ret, nNwdrCode, 1);
	            if (gNwdrInfo[ret].lnghde >= defLimitOfExtNum[nNwdrCode]) {
	                // 割当出来なかった
	                return -1;
	            }
            }else{
                return -1;
            }
        }

        // 次の増設ユニットが必要だ
        gNwdrInfo[ret].lngLastHDDCapa =
            Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[0]);
        var dobhanpadata = addExtUnit(ret, nNwdrCode, g_dobtempdata_wk);

        // さらに増設ユニットが必要か
        while (dobhanpadata > g_dobtempdata_wk / 1000) {
            // 増設ユニットを増やす事が出来るか
            if (gNwdrInfo[ret].lnghde >= defLimitOfExtNum[nNwdrCode]) {
                // もうMaxまで増設をつなげている
	            // 割当可能なNWDR(レコーダー or 推奨サーバ)が存在するか
                if (tempnum > ret + 1) {
	                ret++;
                    g_dobtempdata_wk = chkdobtempdata(ret, nNwdrCode, 1);
	                if (gNwdrInfo[ret].lnghde >= defLimitOfExtNum[nNwdrCode]) {
	                    // 割当出来なかった
	                    return -1;
	                }
                }else{
                    return -1;
                }
            }

            // 増設追加
            dobhanpadata = addExtUnit(ret, nNwdrCode, g_dobtempdata_wk);
            gNwdrInfo[ret].lngLastHDDCapa = dobhanpadata;
        }
    }
    else {
        // 今使用中の本体、もしくは増設で足りた
        gNwdrInfo[ret].lngLastHDDCapa = nextRecCapa;
    }

    return ret;
}

/* ***************************************************************************
**************************************************************************** */
function chkdobtempdata(ret, nNwdrCode, chkflg) {
    var g_dobtempdata_wk;

    if (chkflg == 1) {
        if (gNwdrInfo[ret].lnghde > 0) {
            if (gSelRaidMode == 5) {  // RAID5
                g_dobtempdata_wk = gSelHddUnitGB * (defMaxHddNum_ExtUnitRAID5[nNwdrCode]);
            } else {
                g_dobtempdata_wk = gSelHddUnitGB * (defMaxHddNum_ExtUnit[nNwdrCode]);
            }
        } else {
            if (gSelRaidMode == 5) {  // RAID5
                g_dobtempdata_wk = gSelHddUnitGB * defMaxHddNum_MainUnitRAID5[nNwdrCode];
            } else {
                g_dobtempdata_wk = gSelHddUnitGB * defMaxHddNum_MainUnit[nNwdrCode];
            }
        }
    } else {
        if (gSelRaidMode == 5) {  // RAID5
            g_dobtempdata_wk = gSelHddUnitGB * defMaxHddNum_SystemRAID5[nNwdrCode];
        } else {
            g_dobtempdata_wk = gSelHddUnitGB * defMaxHddNum_System[nNwdrCode];
        }
    }

    return g_dobtempdata_wk;
}

/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)情報に増設ユニットを追加する

    intNWDRq       NWDR(レコーダー or 推奨サーバ)番号
**************************************************************************** */
function addExtUnit(intNWDRq, nNwdrCode, g_dobtempdata_wk) {
    var dobhanpadata = 0;

    dobhanpadata =
        Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) - (g_dobtempdata_wk / 1000);
    gNwdrInfo[intNWDRq].lnghde = Number(gNwdrInfo[intNWDRq].lnghde) + 1;
    gNwdrInfo[intNWDRq].lngLastHDDCapa = dobhanpadata;
    return dobhanpadata;
}

/* ***************************************************************************
    割り当て可能なNWDR(レコーダー or 推奨サーバ)があるかチェックする

    intNWDRq       NWDR(レコーダー or 推奨サーバ)番号
**************************************************************************** */
function SubChangeNDCheck(intNWDRq) {
    var i = 0;
    if (gNwdrInfo[intNWDRq].pankflg == 1) {
        for (i = 0; i < gNwdrInfo.length; i++) {
            if (gNwdrInfo[i].pankflg == 0) {
                return i;
            }

        }
    }
    return intNWDRq;
}


/* ***************************************************************************
    NWDR(レコーダー or 推奨サーバ)にカメラを割り当てる

    i        NWDR(レコーダー or 推奨サーバ)番号
    bitrate  ビットレート
    camcode  カメラ種別
    ips      JPEG IPS
    data     録画サイズ
    dsp_bitrate  表示ビットレート
**************************************************************************** */
function SubCameraAddApp(i, bitrate, camcode, ips, data, dsp_bitrate) {

    // カメラ種別ごとに台数をカウントする
    switch (camcode[0]) {
        // H.264
        case 0:
            gNwdrInfo[i].lngH264_1 =
                Number(gNwdrInfo[i].lngH264_1) + 1;
            break;
        case 1:
            gNwdrInfo[i].lngH264_2 =
                Number(gNwdrInfo[i].lngH264_2) + 1;
            break;
        case 2:
            gNwdrInfo[i].lngH264_3 =
                Number(gNwdrInfo[i].lngH264_3) + 1;
            break;

    }

    // カメラ台数を合計する
    var temp = 0;
    gNwdrInfo[i].lngcamera = Number(gNwdrInfo[i].lngH264_1) +
                            Number(gNwdrInfo[i].lngH264_2) +
                            Number(gNwdrInfo[i].lngH264_3);

    // 増えたカメラのビットレートを加算する
    gNwdrInfo[i].bitrate = Number(gNwdrInfo[i].bitrate) + Number(bitrate);
    temp = gNwdrInfo[i].bitrate;
    temp = NumberToFixed(temp, 3);
    gNwdrInfo[i].bitrate = temp;
    // 増えたカメラの表示用ビットレートを加算する
    gNwdrInfo[i].dsp_bitrate =
        Number(gNwdrInfo[i].dsp_bitrate) + Number(dsp_bitrate);

    // 増えたカメラの録画容量を加算する
    gNwdrInfo[i].lngtotaldata =
        Number(gNwdrInfo[i].lngtotaldata) + Number(data);
}



/* ***************************************************************************
    台数番目のカメラ情報を取得する

    nNwdrCode 0 : HP
              1 : INTEL(64ch)
              2 : DELL(64ch)

    j        台数番目
**************************************************************************** */
function FunCaluSigleCapa(nNwdrCode, j) {
    var lmode;
    var inttempc = 0;

    for (var i = 0; i < g_eachModelInfo.length; i++) {
        var buf = g_eachModelInfo[i];

        var inttempc = Number(inttempc) + Number(buf['camnum']);
        if (j <= inttempc) {
            intarrayno = j;

            return [
                Number(buf['reccapa']) / defRecCoef[nNwdrCode],
                buf['rate'],
                buf['camcode'],
                buf['jpegips'],
                buf['dsp_rate']
            ];
        }
    }
}


/* ***************************************************************************
    仮に割り当てるNWDR(レコーダー or 推奨サーバ)台数を決める

    nNwdrCode 0 : HP
              1 : INTEL(64ch)
              2 : DELL(64ch)
**************************************************************************** */
function getTempNwdrNum(nNwdrCode) {
    // 仮のNWDR(レコーダー or 推奨サーバ)台数
    var tempNwdrNum = 0;

    // 接続可能セッション数から、仮の台数を算出する
    var modconnect = g_totalcannum % g_DynaConnect[nNwdrCode];
    tempNwdrNum = (g_totalcannum - modconnect) / g_DynaConnect[nNwdrCode];
    if (0 < modconnect) {
        // 割り切れないときは、台数を１台増やす
        tempNwdrNum += 1;
    }

    // 総ビットレートから、仮の台数を算出する
    // 表示されている総ビットレートはKbps / 1024 = Mbps
    // 上限ビットレートはKbps / 1000 = Mpbs
    var totalbitrate =
        Number(frmNWDR.txttotalbit.value) / 1000 * 1024;

    var calcPCnum = Math.ceil(totalbitrate / defLimitBandWidth[nNwdrCode]);

    // すでに計算済み台数より多い場合は入れ替える
    if (calcPCnum > tempNwdrNum) {
        tempNwdrNum = calcPCnum;
    }

    // 推奨サーバに搭載可能なHDD数から、仮の台数を算出する
    // HDD総容量(管理係数をかけた、実記録可能領域)
    var totalcapa =
        Number(frmNWDR.txttotalcap.value);
    totalcapa = (totalcapa / Number(defRecCoef[nNwdrCode]));
    // TBをGBに変換
    totalcapa = NumberToFixed(totalcapa, 4) * 1000;

    // HDD1本の容量
    var hddcapa = gSelHddUnitGB;

    // 総容量 / HDD1本の容量で、必要なHDD数を計算する
    var totalhdd = Math.ceil(totalcapa / hddcapa);

    // RAIDの場合は、必要なHDD数が増える
    var totalmaxcapa = 0;
    // Single
    if (gSelRaidMode == 0) {
        // NWDR(レコーダー or 推奨サーバ)台数
        calcPCnum = Math.ceil(totalhdd / defMaxHddNum_System[nNwdrCode]);
        // NWDR(レコーダー or 推奨サーバ)本体の総記録可能容量(GB)
        g_dobtempdata = hddcapa * defMaxHddNum_MainUnit[nNwdrCode];
        // 増設の総記録可能容量(GB)
        g_dobtempdata_add = hddcapa * (defMaxHddNum_System[nNwdrCode] - defMaxHddNum_MainUnit[nNwdrCode]);
        // NWDR(レコーダー or 推奨サーバ)＋増設での総記録可能容量(GB)
        totalmaxcapa = hddcapa * defMaxHddNum_System[nNwdrCode];

    // RAID1
    } else if (gSelRaidMode == 1) {
        // ミラーなので、推奨サーバ1台=HDD1個となる
        calcPCnum = totalhdd;
        // 総記録可能容量もHDD1台の容量と同じ
        g_dobtempdata = hddcapa;
        // NWDR(レコーダー or 推奨サーバ)＋増設での総記録可能容量(GB)
        totalmaxcapa = hddcapa;

    // RAID5
    } else if (gSelRaidMode == 5) {
        // NWDR(レコーダー or 推奨サーバ)台数
        calcPCnum =
            Math.ceil(totalhdd / defMaxHddNum_SystemRAID5[nNwdrCode]);
        // NWDR(レコーダー or 推奨サーバ)本体の総記録可能容量(GB)
        g_dobtempdata = hddcapa * defMaxHddNum_MainUnitRAID5[nNwdrCode];
        // 増設の総記録可能容量(GB)
        g_dobtempdata_add = hddcapa * (defMaxHddNum_SystemRAID5[nNwdrCode] - defMaxHddNum_MainUnitRAID5[nNwdrCode]);
        // NWDR(レコーダー or 推奨サーバ)＋増設での総記録可能容量(GB)
        totalmaxcapa = hddcapa * defMaxHddNum_SystemRAID5[nNwdrCode];

    // RAID6
    } else if (gSelRaidMode == 6) {
        // NWDR(レコーダー or 推奨サーバ)台数
        calcPCnum =
            Math.ceil(totalhdd / raid6_hddnum[nNwdrCode]);
        // NWDR(レコーダー or 推奨サーバ)本体の総記録可能容量(GB)
        g_dobtempdata = hddcapa * raid6_hddnum[nNwdrCode];
        // NWDR(レコーダー or 推奨サーバ)＋増設での総記録可能容量(GB)
        totalmaxcapa = hddcapa * raid6_hddnum[nNwdrCode];
    }

    // すでに計算済み台数より多い場合は入れ替える
    if (calcPCnum > tempNwdrNum) {
        tempNwdrNum = calcPCnum;
    }

    // 最大ビットレートでの録画容量、仮のNWDR(レコーダー or 推奨サーバ)数を算出する
    var onedata = GetCamBitrateorder(nNwdrCode);
    // NWDR(レコーダー or 推奨サーバ)＋増設の総容量に、カメラ1台の録画が
    // 収まりきらなかったらエラーとする
    if (onedata > totalmaxcapa) {
        return -1;
    }

    return tempNwdrNum;
}


/* ***************************************************************************
    カメラ情報をビットレート降順に並び替え、
    最大ビットレート値での録画容量を計算する
    (1台のカメラを複数のNWDR(レコーダー or 推奨サーバ)にまたがって録画することは
     できないので、その制限チェックに必要)

    nNwdrCode 0 : HP
              1 : INTEL(64ch)
              2 : DELL(64ch)
  
    return   最大ビットレート値での録画容量
**************************************************************************** */
function GetCamBitrateorder(nNwdrCode) {
    // 最大ビットレート値
    var tempbit = 0;
    for (var i = 0; i < camerakind; i++) {
        // チェックは、台数が入力されたカメラのみ
        if (g_cameranum[i] > 0) {
            if (g_bitrate[i] > tempbit) {
                tempbit = g_bitrate[i];
            }
        }
    }

    // 最大ビットレート値での録画容量
    var onedata = 0;
    onedata =
        Number(tempbit) / 8 * 3600 * Number(g_day) * Number(g_hour) / 1000;
    onedata = onedata / Number(defRecCoef[nNwdrCode]);


    onedata = Number(NumberToFixed(onedata, 4));

    // カメラ情報をソートする(降順)
    g_eachModelInfo.sort(SortEachModelInfo_Dorder);

    return onedata;
}


/* ***************************************************************************
    HDD数を計算する (RAID1設定時の例外処理)

    nNwdrCode 2 : ND200
              3 : NV200
**************************************************************************** */
function Calchdd(nNwdrCode) {

    // NWDR(レコーダー or 推奨サーバ)情報のHDD数を設定する
    for (var idx = 0; idx < gNwdrInfo.length; idx++) {
        // ミラーの場合は固定
        if (gSelRaidMode == 1) {
            gNwdrInfo[idx].intHDDq = 2;
        }
    }

    return 1;
}

/* ***************************************************************************
    HPの計算結果を出力する

    nNwdrCode 0 : HP
**************************************************************************** */
function HP_output(nNwdrCode) {
    var i; var j;
    var lngTotalHDDq = 0; var lngIndiHDDq = 0;
    var hddcapa = frmNWDR.sel_HDD.options[frmNWDR.sel_HDD.selectedIndex].value;

    hddcapa = Number(hddcapa) / 1000;

    //count HDD totalnum
    if (gSelRaidMode != 1) {
        for (i = 0; i < gNwdrInfo.length; i++) {
            lngIndiHDDq =
                Math.ceil(
                    (Number(gNwdrInfo[i].lngLastHDDCapa) /
                    Number(hddcapa))
                );

            //Consider RAID add HDD
            var lngIndiHDDq = FunND400RAID_HDD_ADD(lngIndiHDDq, i);

            lngTotalHDDq = lngTotalHDDq + lngIndiHDDq;
            gNwdrInfo[i].intHDDq = lngIndiHDDq;
            lngIndiHDDq = 0;
        }
    } else {
        //count HDD totalnum
        for (i = 0; i < gNwdrInfo.length; i++) {
            lngTotalHDDq = Number(lngTotalHDDq) + Number(gNwdrInfo[i].intHDDq);
        }
    }

    var data = frmNWDR.txttotalcap.value;
    var data = Number(data) / Number(defRecCoef[nNwdrCode]);
    var elec = 0;
    var unitnum = 0;

    //ADD KANAMORI 110124
    data = GetMarumCapa(data);

    dataHPinit();
    if (g_day > 0) {
        frmNWDR.txtHP_SvrNum.value = gNwdrInfo.length;
        frmNWDR.txtHP_HddNum.value = lngTotalHDDq;
        frmNWDR.txtHP_CapTB.value = data;
        frmNWDR.txtHP_PowWatt.value =
            (Number(gNwdrInfo.length) * Number(defMainUnitPow[nNwdrCode]));
        frmNWDR.txtHP_HeightU.value = '-';
        frmNWDR.txtHP_HeightU.style.background = '#C8C8C8';
    } else {
        dataHPout();
    }

}

/* ***************************************************************************
    ND400の計算結果を出力する
**************************************************************************** */
function FunND400RAID_HDD_ADD(lngIndiHDDq, i) {
    var raid =
        frmNWDR.sel_RAID.options[frmNWDR.sel_RAID.selectedIndex].value;
    var l_hddq = lngIndiHDDq;

    //文字列→数値変換 TERASAWA 110202
    raid = Number(raid);

    if (raid == 5) {
        if (lngIndiHDDq == 1) {
            if (Number(gNwdrInfo[i].lnghde) == 0) {
                l_hddq = Number(l_hddq) + 2;
            }
            else {
                l_hddq = Number(l_hddq) + 1;
            }
        }
        else {
            l_hddq = Number(l_hddq) + 1;
        }
    }
    else if (raid == 6) {
        if (lngIndiHDDq == 1) {
            if (Number(gNwdrInfo[i].lnghde) == 0) {
                l_hddq = Number(l_hddq) + 3;
            }
            else {
                l_hddq = Number(l_hddq) + 2;
            }
        }
        else {
            l_hddq = Number(l_hddq) + 2;
        }
    }

    return l_hddq;
}

/* ***************************************************************************
    INTELサーバの計算結果を出力する
    2014.07.11 modified for 128ch support by H.Sasaki
**************************************************************************** */
function INTEL_output(nNwdrCode) {
    var i; var j;
    var lngTotalHDDq = 0; var lngIndiHDDq = 0;
    var lngHDE400q = 0;
    var hddcapa = frmNWDR.sel_HDD.options[frmNWDR.sel_HDD.selectedIndex].value;
    var raid =
        frmNWDR.sel_RAID.options[frmNWDR.sel_RAID.selectedIndex].value;

    raid = Number(raid);

    hddcapa = Number(hddcapa) / 1000;

    //get HDE totalnum
    for (i = 0; i < gNwdrInfo.length; i++) {
        lngHDE400q = Number(lngHDE400q) + Number(gNwdrInfo[i].lnghde);
    }

    //count HDD totalnum
    for (i = 0; i < gNwdrInfo.length; i++) {

        if (Number(gNwdrInfo[i].lnghde) == 0) {
            lngIndiHDDq =
                Math.ceil(
                    (Number(gNwdrInfo[i].lngLastHDDCapa) /
                    Number(hddcapa))
                );

            //Consider RAID add HDD
            var lngIndiHDDq = FunND400RAID_HDD_ADD(lngIndiHDDq, i);
        }
        else {
            for (var j = 0; j < Number(gNwdrInfo[i].lnghde); j++) {
                if (Number(gNwdrInfo[i].lnghde) - j == 1) {
                    lngIndiHDDq =
                        Number(lngIndiHDDq) +
                        Number(
                            Math.ceil(
                                (Number(gNwdrInfo[i].lngLastHDDCapa) /
                                    Number(hddcapa))
                            )
                        );

                    //Consider RAID add HDD
                    var lngIndiHDDq = FunND400RAID_HDD_ADD(lngIndiHDDq, i);

                    // add
                    lngIndiHDDq = Number(lngIndiHDDq) + Number(defMaxHddNum_MainUnit[nNwdrCode]);
                } else {
                    // add HDD MAX num
                    lngIndiHDDq = Number(lngIndiHDDq) + Number(defMaxHddNum_ExtUnit[nNwdrCode]);
                }
            }
        }
        lngTotalHDDq = lngTotalHDDq + lngIndiHDDq;
        gNwdrInfo[i].intHDDq = lngIndiHDDq;
        lngIndiHDDq = 0;
    }

    var data = frmNWDR.txttotalcap.value;
    var data = Number(data) / Number(defRecCoef[nNwdrCode]);
    var elec = 0;
    var unitnum = 0;

    //ADD KANAMORI 110124
    data = GetMarumCapa(data);

    dataINTELinit(nNwdrCode);

    if (g_day > 0) {
        if (nNwdrCode == nNwdrINTEL064) {
            frmNWDR.txtINTEL064_SvrNum.value = gNwdrInfo.length;
            frmNWDR.txtINTEL064_ExtNum.value = lngHDE400q;
            frmNWDR.txtINTEL064_HddNum.value = lngTotalHDDq;
            frmNWDR.txtINTEL064_CapTB.value = data;
            frmNWDR.txtINTEL064_PowWatt.value =
                (Number(gNwdrInfo.length) * Number(defMainUnitPow[nNwdrCode])) +
                (lngHDE400q * Number(defExtUnitPow[nNwdrCode]));
            frmNWDR.txtINTEL064_HeightU.value = (gNwdrInfo.length * defSizeAtUnit[nNwdrCode] + lngHDE400q * defINTEL_ExtUnitSize) + 'U';
        } else if (nNwdrCode == nNwdrINTEL128) {
            frmNWDR.txtINTEL128_SvrNum.value = gNwdrInfo.length;
            frmNWDR.txtINTEL128_ExtNum.value = lngHDE400q;
            frmNWDR.txtINTEL128_HddNum.value = lngTotalHDDq;
            frmNWDR.txtINTEL128_CapTB.value = data;
            frmNWDR.txtINTEL128_PowWatt.value =
                (Number(gNwdrInfo.length) * Number(defMainUnitPow[nNwdrCode])) +
                (lngHDE400q * Number(defExtUnitPow[nNwdrCode]));
            frmNWDR.txtINTEL128_HeightU.value = (gNwdrInfo.length * defSizeAtUnit[nNwdrCode] + lngHDE400q * defINTEL_ExtUnitSize) + 'U';
        }
    } else {
        // INTELでは録画不可
        dataINTELout(nNwdrCode);
    }
}

/* ***************************************************************************
    DELLサーバの計算結果を出力する
    2014.07.11 modified for 128ch support by H.Sasaki
**************************************************************************** */
function DELL_output(nNwdrCode) {
    var i; var j;
    var lngTotalHDDq = 0; var lngIndiHDDq = 0;
    var lngHDE400q = 0;
    var hddcapa = frmNWDR.sel_HDD.options[frmNWDR.sel_HDD.selectedIndex].value;

    hddcapa = Number(hddcapa) / 1000;

    //get HDE totalnum
    for (i = 0; i < gNwdrInfo.length; i++) {
        lngHDE400q = Number(lngHDE400q) + Number(gNwdrInfo[i].lnghde);
    }

    //count HDD totalnum
    for (i = 0; i < gNwdrInfo.length; i++) {

        if (Number(gNwdrInfo[i].lnghde) == 0) {
            lngIndiHDDq =
                Math.ceil(
                    (Number(gNwdrInfo[i].lngLastHDDCapa) /
                    Number(hddcapa))
                );

            //Consider RAID add HDD
            var lngIndiHDDq = FunND400RAID_HDD_ADD(lngIndiHDDq, i);
        }
        else {
            for (var j = 0; j < Number(gNwdrInfo[i].lnghde); j++) {
                if (Number(gNwdrInfo[i].lnghde) - j == 1) {
                    lngIndiHDDq =
                        Number(lngIndiHDDq) +
                        Number(
                            Math.ceil(
                                (Number(gNwdrInfo[i].lngLastHDDCapa) /
                                    Number(hddcapa))
                            )
                        );

                    //Consider RAID add HDD
                    var lngIndiHDDq = FunND400RAID_HDD_ADD(lngIndiHDDq, i);

                    // add
                    lngIndiHDDq = Number(lngIndiHDDq) + Number(defMaxHddNum_MainUnit[nNwdrCode]);
                }
                else {
                    // add HDD MAX num
                    lngIndiHDDq = Number(lngIndiHDDq) + Number(defMaxHddNum_ExtUnit[nNwdrCode]);
                }
            }
        }
        lngTotalHDDq = lngTotalHDDq + lngIndiHDDq;
        gNwdrInfo[i].intHDDq = lngIndiHDDq;
        lngIndiHDDq = 0;
    }

    var data = frmNWDR.txttotalcap.value;
    var data = Number(data) / Number(defRecCoef[nNwdrCode]);
    var elec = 0;
    var unitnum = 0;

    //ADD KANAMORI 110124
    data = GetMarumCapa(data);

    dataDELLinit(nNwdrCode);

    if (g_day > 0) {
        if (nNwdrCode == nNwdrDELL064) {
            frmNWDR.txtDELL064_SvrNum.value = gNwdrInfo.length;
            frmNWDR.txtDELL064_ExtNum.value = lngHDE400q;
            frmNWDR.txtDELL064_HddNum.value = lngTotalHDDq;
            frmNWDR.txtDELL064_CapTB.value = data;
            frmNWDR.txtDELL064_PowWatt.value =
                (Number(gNwdrInfo.length) * Number(defMainUnitPow[nNwdrCode])) +
                (lngHDE400q * Number(defExtUnitPow[nNwdrCode]));
            frmNWDR.txtDELL064_HeightU.value = (gNwdrInfo.length * defSizeAtUnit[nNwdrCode] + lngHDE400q * defDELL_ExtUnitSize) + 'U';
        } else if (nNwdrCode == nNwdrDELL128) {
            frmNWDR.txtDELL128_SvrNum.value = gNwdrInfo.length;
            frmNWDR.txtDELL128_ExtNum.value = lngHDE400q;
            frmNWDR.txtDELL128_HddNum.value = lngTotalHDDq;
            frmNWDR.txtDELL128_CapTB.value = data;
            frmNWDR.txtDELL128_PowWatt.value =
                (Number(gNwdrInfo.length) * Number(defMainUnitPow[nNwdrCode])) +
                (lngHDE400q * Number(defExtUnitPow[nNwdrCode]));
            frmNWDR.txtDELL128_HeightU.value = (gNwdrInfo.length * defSizeAtUnit[nNwdrCode] + lngHDE400q * defDELL_ExtUnitSize) + 'U';
        }
    } else {
        // DELLでは録画不可
        dataDELLout(nNwdrCode);
    }
}


/* ***************************************************************************
    全ての出力結果を無効状態にする
**************************************************************************** */
function datafullout() {
    // 総ビットレート
    frmNWDR.txttotalbit.value = '-';
    frmNWDR.txttotalbit.style.background = '#C8C8C8';
    // 容量
    frmNWDR.txttotalcap.value = '-';
    frmNWDR.txttotalcap.style.background = '#C8C8C8';

    // 計算結果テキスト出力
    unitConfigHP.innerHTML = '<br />';
    unitConfigINTEL064.innerHTML = '<br />';
    unitConfigINTEL128.innerHTML = '<br />';
    unitConfigDELL064.innerHTML = '<br />';
    unitConfigDELL128.innerHTML = '<br />';

    // 各NWDR(レコーダー or 推奨サーバ)の結果
    dataHPout();
    dataINTELout(nNwdrINTEL064);
    dataINTELout(nNwdrINTEL128);
    dataDELLout(nNwdrDELL064);
    dataDELLout(nNwdrDELL128);
}

/* ***************************************************************************
    出力結果を初期状態(有効状態)にする(理論値)
**************************************************************************** */
function datafullinit() {
    // 総ビットレート
    frmNWDR.txttotalbit.value = '';
    frmNWDR.txttotalbit.style.background = '#FFFF80';

    // 容量
    frmNWDR.txttotalcap.value = '';
    frmNWDR.txttotalcap.style.background = '#FFFF80';
}


/* ***************************************************************************
    HPサーバの出力結果を無効状態にする
**************************************************************************** */
function dataHPout() {
    // 本体台数
    frmNWDR.txtHP_SvrNum.value = '-';
    frmNWDR.txtHP_SvrNum.style.background = '#C8C8C8';
    // HDD数
    frmNWDR.txtHP_HddNum.value = '-';
    frmNWDR.txtHP_HddNum.style.background = '#C8C8C8';
    // 総容量
    frmNWDR.txtHP_CapTB.value = '-';
    frmNWDR.txtHP_CapTB.style.background = '#C8C8C8';
    // 消費電力
    frmNWDR.txtHP_PowWatt.value = '-';
    frmNWDR.txtHP_PowWatt.style.background = '#C8C8C8';
    // ユニット高
    frmNWDR.txtHP_HeightU.value = '-';
    frmNWDR.txtHP_HeightU.style.background = '#C8C8C8';
}


/* ***************************************************************************
    出力結果を初期状態(有効状態)にする(HPサーバ)
**************************************************************************** */
function dataHPinit() {
    // 本体台数
    frmNWDR.txtHP_SvrNum.value = '';
    frmNWDR.txtHP_SvrNum.style.background = '#FFFF80';
    // HDD数
    frmNWDR.txtHP_HddNum.value = '';
    frmNWDR.txtHP_HddNum.style.background = '#FFFF80';
    // 総容量
    frmNWDR.txtHP_CapTB.value = '';
    frmNWDR.txtHP_CapTB.style.background = '#FFFF80';
    // 消費電力
    frmNWDR.txtHP_PowWatt.value = '';
    frmNWDR.txtHP_PowWatt.style.background = '#FFFF80';
    // ユニット高
    frmNWDR.txtHP_HeightU.value = '';
    frmNWDR.txtHP_HeightU.style.background = '#FFFF80';
}

/* ***************************************************************************
    INTELサーバの出力結果を無効状態にする
**************************************************************************** */
function dataINTELout(nNwdrCode) {
    switch (nNwdrCode) {
        // 128ch ============================================================
        case nNwdrINTEL128:
            // 本体台数
            frmNWDR.txtINTEL128_SvrNum.value = '-';
            frmNWDR.txtINTEL128_SvrNum.style.background = '#C8C8C8';
            // HDD数
            frmNWDR.txtINTEL128_HddNum.value = '-';
            frmNWDR.txtINTEL128_HddNum.style.background = '#C8C8C8';
            // 総容量
            frmNWDR.txtINTEL128_CapTB.value = '-';
            frmNWDR.txtINTEL128_CapTB.style.background = '#C8C8C8';
            // 消費電力
            frmNWDR.txtINTEL128_PowWatt.value = '-';
            frmNWDR.txtINTEL128_PowWatt.style.background = '#C8C8C8';
            // ユニット高
            frmNWDR.txtINTEL128_HeightU.value = '-';
            frmNWDR.txtINTEL128_HeightU.style.background = '#C8C8C8';
            // 増設台数
            frmNWDR.txtINTEL128_ExtNum.value = '-';
            frmNWDR.txtINTEL128_ExtNum.style.background = '#C8C8C8';
            break;

        // 64ch ============================================================
        case nNwdrINTEL064:
            // 本体台数
            frmNWDR.txtINTEL064_SvrNum.value = '-';
            frmNWDR.txtINTEL064_SvrNum.style.background = '#C8C8C8';
            // HDD数
            frmNWDR.txtINTEL064_HddNum.value = '-';
            frmNWDR.txtINTEL064_HddNum.style.background = '#C8C8C8';
            // 総容量
            frmNWDR.txtINTEL064_CapTB.value = '-';
            frmNWDR.txtINTEL064_CapTB.style.background = '#C8C8C8';
            // 消費電力
            frmNWDR.txtINTEL064_PowWatt.value = '-';
            frmNWDR.txtINTEL064_PowWatt.style.background = '#C8C8C8';
            // ユニット高
            frmNWDR.txtINTEL064_HeightU.value = '-';
            frmNWDR.txtINTEL064_HeightU.style.background = '#C8C8C8';
            // 増設台数
            frmNWDR.txtINTEL064_ExtNum.value = '-';
            frmNWDR.txtINTEL064_ExtNum.style.background = '#C8C8C8';
            break;

        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }
}


/* ***************************************************************************
    出力結果を初期状態(有効状態)にする(INTELサーバ)
**************************************************************************** */
function dataINTELinit(nNwdrCode) {
    switch (nNwdrCode) {
        // 128ch ============================================================
        case nNwdrINTEL128:
            // 本体台数
            frmNWDR.txtINTEL128_SvrNum.value = '';
            frmNWDR.txtINTEL128_SvrNum.style.background = '#FFFF80';
            // HDD数
            frmNWDR.txtINTEL128_HddNum.value = '';
            frmNWDR.txtINTEL128_HddNum.style.background = '#FFFF80';
            // 総容量
            frmNWDR.txtINTEL128_CapTB.value = '';
            frmNWDR.txtINTEL128_CapTB.style.background = '#FFFF80';
            // 消費電力
            frmNWDR.txtINTEL128_PowWatt.value = '';
            frmNWDR.txtINTEL128_PowWatt.style.background = '#FFFF80';
            // ユニット高
            frmNWDR.txtINTEL128_HeightU.value = '';
            frmNWDR.txtINTEL128_HeightU.style.background = '#FFFF80';
            // 増設台数
            frmNWDR.txtINTEL128_ExtNum.value = '';
            frmNWDR.txtINTEL128_ExtNum.style.background = '#FFFF80';
            break;

        // 64ch ============================================================
        case nNwdrINTEL064:
            // 本体台数
            frmNWDR.txtINTEL064_SvrNum.value = '';
            frmNWDR.txtINTEL064_SvrNum.style.background = '#FFFF80';
            // HDD数
            frmNWDR.txtINTEL064_HddNum.value = '';
            frmNWDR.txtINTEL064_HddNum.style.background = '#FFFF80';
            // 総容量
            frmNWDR.txtINTEL064_CapTB.value = '';
            frmNWDR.txtINTEL064_CapTB.style.background = '#FFFF80';
            // 消費電力
            frmNWDR.txtINTEL064_PowWatt.value = '';
            frmNWDR.txtINTEL064_PowWatt.style.background = '#FFFF80';
            // ユニット高
            frmNWDR.txtINTEL064_HeightU.value = '';
            frmNWDR.txtINTEL064_HeightU.style.background = '#FFFF80';
            // 増設台数
            frmNWDR.txtINTEL064_ExtNum.value = '';
            frmNWDR.txtINTEL064_ExtNum.style.background = '#FFFF80';
            break;

        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }
}

/* ***************************************************************************
    DELLサーバの出力結果を無効状態にする
**************************************************************************** */
function dataDELLout(nNwdrCode) {
    switch (nNwdrCode) {
        // 128ch ============================================================
        case nNwdrDELL128:
            // 本体台数
            frmNWDR.txtDELL128_SvrNum.value = '-';
            frmNWDR.txtDELL128_SvrNum.style.background = '#C8C8C8';
            // HDD数
            frmNWDR.txtDELL128_HddNum.value = '-';
            frmNWDR.txtDELL128_HddNum.style.background = '#C8C8C8';
            // 総容量
            frmNWDR.txtDELL128_CapTB.value = '-';
            frmNWDR.txtDELL128_CapTB.style.background = '#C8C8C8';
            // 消費電力
            frmNWDR.txtDELL128_PowWatt.value = '-';
            frmNWDR.txtDELL128_PowWatt.style.background = '#C8C8C8';
            // ユニット高
            frmNWDR.txtDELL128_HeightU.value = '-';
            frmNWDR.txtDELL128_HeightU.style.background = '#C8C8C8';
            // 増設台数
            frmNWDR.txtDELL128_ExtNum.value = '-';
            frmNWDR.txtDELL128_ExtNum.style.background = '#C8C8C8';
            break;

        // 64ch ============================================================
        case nNwdrDELL064:
            // 本体台数
            frmNWDR.txtDELL064_SvrNum.value = '-';
            frmNWDR.txtDELL064_SvrNum.style.background = '#C8C8C8';
            // HDD数
            frmNWDR.txtDELL064_HddNum.value = '-';
            frmNWDR.txtDELL064_HddNum.style.background = '#C8C8C8';
            // 総容量
            frmNWDR.txtDELL064_CapTB.value = '-';
            frmNWDR.txtDELL064_CapTB.style.background = '#C8C8C8';
            // 消費電力
            frmNWDR.txtDELL064_PowWatt.value = '-';
            frmNWDR.txtDELL064_PowWatt.style.background = '#C8C8C8';
            // ユニット高
            frmNWDR.txtDELL064_HeightU.value = '-';
            frmNWDR.txtDELL064_HeightU.style.background = '#C8C8C8';
            // 増設台数
            frmNWDR.txtDELL064_ExtNum.value = '-';
            frmNWDR.txtDELL064_ExtNum.style.background = '#C8C8C8';
            break;

        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }
}

/* ***************************************************************************
    出力結果を初期状態(有効状態)にする(DELLサーバ)
**************************************************************************** */
function dataDELLinit(nNwdrCode) {
    switch (nNwdrCode) {
        // 128ch ============================================================
        case nNwdrDELL128:
            // 本体台数
            frmNWDR.txtDELL128_SvrNum.value = '';
            frmNWDR.txtDELL128_SvrNum.style.background = '#FFFF80';
            // HDD数
            frmNWDR.txtDELL128_HddNum.value = '';
            frmNWDR.txtDELL128_HddNum.style.background = '#FFFF80';
            // 総容量
            frmNWDR.txtDELL128_CapTB.value = '';
            frmNWDR.txtDELL128_CapTB.style.background = '#FFFF80';
            // 消費電力
            frmNWDR.txtDELL128_PowWatt.value = '';
            frmNWDR.txtDELL128_PowWatt.style.background = '#FFFF80';
            // ユニット高
            frmNWDR.txtDELL128_HeightU.value = '';
            frmNWDR.txtDELL128_HeightU.style.background = '#FFFF80';
            // 増設台数
            frmNWDR.txtDELL128_ExtNum.value = '';
            frmNWDR.txtDELL128_ExtNum.style.background = '#FFFF80';
            break;

        // 64ch ============================================================
        case nNwdrDELL064:
            // 本体台数
            frmNWDR.txtDELL064_SvrNum.value = '';
            frmNWDR.txtDELL064_SvrNum.style.background = '#FFFF80';
            // HDD数
            frmNWDR.txtDELL064_HddNum.value = '';
            frmNWDR.txtDELL064_HddNum.style.background = '#FFFF80';
            // 総容量
            frmNWDR.txtDELL064_CapTB.value = '';
            frmNWDR.txtDELL064_CapTB.style.background = '#FFFF80';
            // 消費電力
            frmNWDR.txtDELL064_PowWatt.value = '';
            frmNWDR.txtDELL064_PowWatt.style.background = '#FFFF80';
            // ユニット高
            frmNWDR.txtDELL064_HeightU.value = '';
            frmNWDR.txtDELL064_HeightU.style.background = '#FFFF80';
            // 増設台数
            frmNWDR.txtDELL064_ExtNum.value = '';
            frmNWDR.txtDELL064_ExtNum.style.background = '#FFFF80';
            break;

        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }
}

/* ***************************************************************************
    構成情報を出力する

    NDinfo       NWDR(レコーダー or 推奨サーバ)情報
    nNwdrCode 0 : HP
             1 : INTEL(64ch)
             2 : DELL(64ch)
             3 : INTEL(128ch)
             4 : DELL(128ch)
**************************************************************************** */
function DetailOutput(NDinfo, nNwdrCode, ch) {
    // 出力HTML
    var htmlCode = '';

    // タイトル
    var strtitle = '';
    switch (nNwdrCode) {
        // HP
        case nNwdrHP:
            strtitle = s_table_HPtitle;
            break;
        // INTEL 128ch
        case nNwdrINTEL128:
            strtitle = s_table_INTEL128title;
            break;
        // INTEL 64ch
        case nNwdrINTEL064:
            strtitle = s_table_INTEL064title;
            break;
        // DELL 128ch
        case nNwdrDELL128:
            strtitle = s_table_DELL128title;
            break;
        // DELL 64ch
        case nNwdrDELL064:
            strtitle = s_table_DELL064title;
            break;
        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }

    // HTMLテーブル作成
    htmlCode +=
        '<table style="width:900px;" border="0" align="center">';
    // ヘッダ行(構成情報)
    htmlCode +=
        '<tr>';
    htmlCode +=
        '<td colspan="9" class="s_input_title_txt_style">' +
            strtitle +
        '</td>';
    htmlCode +=
        '</tr>';

    // ヘッダ行(各項目)
    htmlCode +=
        '<tr class="s_output_param_parametitle_style">';
    // 本体
    htmlCode +=
        '<td rowspan="2">' +
            s_detail_MainUnit +
        '</td>';


    // 増設ユニット数
    htmlCode +=
        '<td rowspan="2">' +
            s_detail_hde +
        '</td>';

    htmlCode +=
        '<td rowspan="2">';

    // HDD
    htmlCode +=
        s_detail_hdd;

    htmlCode +=
        '</td>';

    // 総カメラ数
    htmlCode +=
        '<td rowspan="2">' +
            s_detail_camera +
        '</td>';

    // H.264カメラ数
    htmlCode +=
        '<td colspan="3">' +
            s_detail_h264 +
        '</td>';

    // 総ビットレート
    htmlCode +=
        '<td rowspan="2">' +
            s_detail_totalbitrate +
        '</td>';

    // 総データ
    htmlCode +=
        '<td rowspan="2">' +
            s_detail_totaldata +
        '</td>';

    htmlCode +=
        '</tr>';

    // ヘッダ行(カメラ番号)
    htmlCode +=
        '<tr class="s_output_param_parametitle_style">';
    // H.264(1)
    htmlCode +=
        '<td>' +
            s_detail_cam1 +
        '</td>';
    // H.264(2)
    htmlCode +=
        '<td>' +
            s_detail_cam2 +
        '</td>';
    // H.264(3)
    htmlCode +=
        '<td>' +
            s_detail_cam3 +
        '</td>';

    htmlCode +=
        '</tr>';

    // 各NWDR(レコーダー or 推奨サーバ)の情報を出力する
    if ((Language == Japanese && nNwdrCode != 3) || (Language != Japanese)) {
        // NWDR(レコーダー or 推奨サーバ)情報テーブル
        for (var i = 0; i < NDinfo.length; i++) {

            // 1行毎、交互に色を変える
            htmlCode +=
                '<tr class="s_output_record_parame_style" ';
            if ((i % 2) != 0) {
                htmlCode += 'bgcolor="#e3e3e3"';
            }
            htmlCode +=
                ' align="right">';

            // 通し番号
            htmlCode +=
                '<td>' +
                    '#' + (Number([i]) + 1) +
                '</td>';

            // 増設ユニット数
            if (nNwdrCode != nNwdrHP) { // HP以外 2014.07.11 H.Sasaki
                // INTEL, DELLは増設対応
                htmlCode +=
                    '<td>' +
                        NDinfo[i].lnghde;
                    '</td>';
            } else {
                htmlCode +=
                    '<td>' +
                        "-";
                    '</td>';
            }

            // HDD
            htmlCode +=
                '<td>' +
                    NDinfo[i].intHDDq +
                '</td>';
            // 総カメラ数
            htmlCode +=
                '<td>' +
                    NDinfo[i].lngcamera +
                '</td>';
            // H.264(1)台数
            htmlCode +=
                '<td>' +
                    NDinfo[i].lngH264_1 +
                '</td>';
            // H.264(2)台数
            htmlCode +=
                '<td>' +
                    NDinfo[i].lngH264_2 +
                '</td>';
            // H.264(3)台数
            htmlCode +=
                '<td>' +
                    NDinfo[i].lngH264_3 +
                '</td>';

            // 総ビットレート
            htmlCode +=
                '<td>' +
                    NumberToFixed(NDinfo[i].dsp_bitrate, 3) +
                '</td>';
            // 総データ
            var lngtotaldata_tmp = NDinfo[i].lngtotaldata;
            lngtotaldata_tmp = lngtotaldata_tmp * 100;
            lngtotaldata_tmp = Math.round(lngtotaldata_tmp);
            lngtotaldata_tmp = lngtotaldata_tmp / 100;
            htmlCode +=
                '<td>' +
                    NumberToFixed(lngtotaldata_tmp, 4) +
                '</td>';

            htmlCode +=
                '</tr>';
        }

    // ◆NV200◆
    } else {
        for (var i = 0; i < nv200num[lp]; i++) {
            if ((i % 2) == 0) {
                htmlCode += '<tr class="s_output_record_parame_style" ';
                htmlCode += 'align="right">';
            } else {
                htmlCode += '<tr bgcolor="#e3e3e3" ';
                htmlCode += 'class="s_output_record_parame_style" ';
                htmlCode += 'align="right">';
            }

            htmlCode += '<td>' + '#' + (Number([i]) + 1) + '</td>';
            var nv200_model = '';
            switch (g_NVinfo_a[i].kind) {
                case 0 :
                    nv200_model = s_td_NV200_Name1;
                    break;
                case 1:
                    nv200_model = s_td_NV200_Name2;
                    break;
                case 2:
                    nv200_model = s_td_NV200_Name3;
                    break;
                case 3:
                    nv200_model = s_td_NV200_Name4;
                    break;
                default:
                    nv200_model = s_td_NV200_Name5;
                    break;
            }
            htmlCode += '<td>' + nv200_model + '</td>';
            htmlCode += '<td>' + g_NVinfo_a[i].license + '</td>';
            htmlCode += '<td>' + g_NVinfo_a[i].lngcamera + '</td>';
            htmlCode += '<td>' + g_NVinfo_a[i].lngH264_1 + '</td>';
            htmlCode += '<td>' + g_NVinfo_a[i].lngH264_2 + '</td>';
            htmlCode += '<td>' + g_NVinfo_a[i].lngH264_3 + '</td>';
            htmlCode += '<td>';
            htmlCode += NumberToFixed(g_NVinfo_a[i].dsp_bitrate, 3);
            htmlCode += '</td>';

            htmlCode += '<td>';
            htmlCode += NumberToFixed(g_NVinfo_a[i].lngtotaldata, 4);
            htmlCode += '</td>';

            htmlCode +=
                '<td>' +
                    NumberToFixed(g_NVinfo_a[i].lngips, 1) +
                '</td>';
            htmlCode += '</tr>';
        }
    }

    htmlCode +=
        '</table>';

    // HTML書き換え&結果を格納
    switch (nNwdrCode) {
        // ◆HP◆
        case nNwdrHP:
            unitConfigHP.innerHTML = htmlCode;
            DetailInfoArray[nNwdrHP] = htmlCode;
            break;
        // ◆INTEL(64ch)◆
        case nNwdrINTEL064:
            unitConfigINTEL064.innerHTML = htmlCode;
            DetailInfoArray[nNwdrINTEL064] = htmlCode;
            break;
        // ◆DELL(64ch)◆
        case nNwdrDELL064:
            unitConfigDELL064.innerHTML = htmlCode;
            DetailInfoArray[nNwdrDELL064] = htmlCode;
            break;
        // ◆INTEL(128ch)◆
        case nNwdrINTEL128:
            unitConfigINTEL128.innerHTML = htmlCode;
            DetailInfoArray[nNwdrINTEL128] = htmlCode;
            break;
        // ◆DELL(128ch)◆
        case nNwdrDELL128:
            unitConfigDELL128.innerHTML = htmlCode;
            DetailInfoArray[nNwdrDELL128] = htmlCode;
            break;
        default:
            alert('ERROR: Illegal Server Code!');
            break;
    }
}


/* ***************************************************************************
    H264の画面部品を取得する

     no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
                 [5]     ビットレート
**************************************************************************** */
function GetH264Object(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // H.264(1)
        case '1' :
            partsObj[0] = frmNWDR.sel_model_h264_1;
            partsObj[1] = frmNWDR.sel_resolution_h264_1;
            partsObj[2] = frmNWDR.sel_scan_h264_1;
            partsObj[3] = frmNWDR.sel_priority_h264_1;
            partsObj[4] = frmNWDR.sel_quality_h264_1;
            partsObj[5] = frmNWDR.sel_bitrate_h264_1;
            break;

        // H.264(2)
        case '2' :
            partsObj[0] = frmNWDR.sel_model_h264_2;
            partsObj[1] = frmNWDR.sel_resolution_h264_2;
            partsObj[2] = frmNWDR.sel_scan_h264_2;
            partsObj[3] = frmNWDR.sel_priority_h264_2;
            partsObj[4] = frmNWDR.sel_quality_h264_2;
            partsObj[5] = frmNWDR.sel_bitrate_h264_2;
            break;

        // H.264(3)
        case '3' :
            partsObj[0] = frmNWDR.sel_model_h264_3;
            partsObj[1] = frmNWDR.sel_resolution_h264_3;
            partsObj[2] = frmNWDR.sel_scan_h264_3;
            partsObj[3] = frmNWDR.sel_priority_h264_3;
            partsObj[4] = frmNWDR.sel_quality_h264_3;
            partsObj[5] = frmNWDR.sel_bitrate_h264_3;
            break;
    }
}

/* ***************************************************************************
    JPEGの画面部品を取得する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
**************************************************************************** */
function GetJpegObject(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // Jpeg(1)
        case '1' :
            partsObj[0] = frmNWDR.sel_model_jpeg_1;
            partsObj[1] = frmNWDR.sel_resolution_jpeg_1;
            partsObj[2] = frmNWDR.sel_scan_jpeg_1;
            partsObj[3] = frmNWDR.sel_quality_jpeg_1;
            partsObj[4] = frmNWDR.sel_recfps_jpeg_1;
            partsObj[5] = frmNWDR.txt_jpegbitrate_1;
            break;

        // Jpeg(2)
        case '2' :
            partsObj[0] = frmNWDR.sel_model_jpeg_2;
            partsObj[1] = frmNWDR.sel_resolution_jpeg_2;
            partsObj[2] = frmNWDR.sel_scan_jpeg_2;
            partsObj[3] = frmNWDR.sel_quality_jpeg_2;
            partsObj[4] = frmNWDR.sel_recfps_jpeg_2;
            partsObj[5] = frmNWDR.txt_jpegbitrate_2;
            break;

        // Jpeg(3)
        case '3' :
            partsObj[0] = frmNWDR.sel_model_jpeg_3;
            partsObj[1] = frmNWDR.sel_resolution_jpeg_3;
            partsObj[2] = frmNWDR.sel_scan_jpeg_3;
            partsObj[3] = frmNWDR.sel_quality_jpeg_3;
            partsObj[4] = frmNWDR.sel_recfps_jpeg_3;
            partsObj[5] = frmNWDR.txt_jpegbitrate_3;
            break;
    }
}

/* ***************************************************************************
    MPEG4の画面部品を取得する

    no       設定番号
                 '1'     MPEG4(1)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
                 [5]     ビットレート
**************************************************************************** */
function GetMpeg4Object(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // MPEG4(1)
        case '1' :
            partsObj[0] = frmNWDR.sel_model_mpeg4_1;
            partsObj[1] = frmNWDR.sel_resolution_mpeg4_1;
            partsObj[2] = frmNWDR.sel_scan_mpeg4_1;
            partsObj[3] = frmNWDR.sel_priority_mpeg4_1;
            partsObj[4] = frmNWDR.sel_quality_mpeg4_1;
            partsObj[5] = frmNWDR.sel_bitrate_mpeg4_1;
            break;
    }
}


/* ***************************************************************************
    H.264(顔照合)の画面部品を取得する

    no       設定番号
                  '1'     H.264(顔照合)(1)
    partsObj 画面部品
                 [0]     解像度
                 [1]     画質
                 [2]     録画fps
                 [3]     ビットレート
**************************************************************************** */
function GetFaceObject(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // H.264(顔照合)
        case '1' :
            partsObj[0] = frmNWDR.sel_resolution_face_1;
            partsObj[1] = frmNWDR.sel_quality_face_1;
            partsObj[2] = frmNWDR.sel_recfps_face_1;
            partsObj[3] = frmNWDR.sel_bitrate_face_1;
            break;
    }
}


/* ***************************************************************************
    H264の録画条件を初期化する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    設定モデル番号
    reso     設定解像度
**************************************************************************** */
function InitH264(no, model, reso) {
    // 型番
    SetH264Model(no, model);
    // 撮像モード
    var scan = SetH264Scan(no, model, null);
    // 解像度
    reso = SetH264Resolution(no, model, scan, reso);
    // 優先モード
    var prio = SetH264Priority(no, model, null);
    // 画質
    var qual = SetH264Quality(no, model, prio, null);
    // ビットレート
    SetH264Bitrate(no, model, scan, reso, prio, qual, null);
}


/* ***************************************************************************
    H264の型番変更にあわせ、他のパラメータをセットしなおす

     no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
**************************************************************************** */
function ChangeH264(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var sprio = objParts[3].options[objParts[3].selectedIndex].text;
    var squal = objParts[4].options[objParts[4].selectedIndex].text;
    var bitrate = objParts[5].options[objParts[5].selectedIndex].value;


    // いったんパラメータを初期化する
    InitH264(no, model, null);

    // 撮像モード復元
    var scan = SelectH264ScanText(no, sscan);
    // 解像度復元
    SetH264Resolution(no, model, scan, null);
    var reso = SelectH264ResolutionText(no, sreso);
    // 優先モード復元
    SetH264Priority(no, model, null);
    var prio = SelectH264PriorityText(no, sprio);
    // 画質復元
    SetH264Quality(no, model, prio, null);
    var qual = SetH264QualityText(no, squal);
    // ビットレート復元
    SetH264Bitrate(no, model, scan, reso, prio, qual, null);
    SetH264BitrateValue(no, bitrate);

    // 再計算実行
    calcdata();
}


/* ***************************************************************************
    H264の型番を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    設定モデル番号
**************************************************************************** */
function SetH264Model(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 品番
    objParts[0].length = camInfo_H264.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_H264[idx][0];
    }
    objParts[0].selectedIndex = model;
}


/* ***************************************************************************
    H264の撮像モードを設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function SetH264Scan(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 撮像モード
    objParts[2].length = camInfo_H264[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_H264[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_H264[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    H264の撮像モードを設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    sscan    設定撮像モード文字列
**************************************************************************** */
function SelectH264ScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    H264の解像度を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function SetH264Resolution(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 解像度
    objParts[1].length = camInfo_H264[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_H264[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_H264[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}


/* ***************************************************************************
    H264の解像度を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    sscan    設定解像度文字列
**************************************************************************** */
function SelectH264ResolutionText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}


/* ***************************************************************************
    H264の優先モードを設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    モデル番号
    prio     設定優先モード番号
**************************************************************************** */
function SetH264Priority(no, model, prio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 優先モード
    objParts[3].length = camInfo_H264[model][2].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = idx;
        objParts[3].options[idx].text = camInfo_H264[model][2][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == prio) {
        objParts[3].selectedIndex = camInfo_H264[model][2][0][0];
    } else {
        objParts[3].selectedIndex = prio;
    }

    return objParts[3].selectedIndex;
}


/* ***************************************************************************
    H264の優先モードを設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    sprio    設定優先モード文字列
**************************************************************************** */
function SelectH264PriorityText(no, sprio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 優先モード
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sprio == objParts[3].options[idx].text) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}


/* ***************************************************************************
    H264の画質を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    モデル番号
    prio     優先モード番号
    qual     設定画質番号
**************************************************************************** */
function SetH264Quality(no, model, prio, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 画質
    objParts[4].length = camInfo_H264[model][2][prio + 1][1].length - 1;
    for (var idx = 0; idx < objParts[4].length; idx++) {
        objParts[4].options[idx].value = idx;
        objParts[4].options[idx].text =
            camInfo_H264[model][2][prio + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[4].selectedIndex =
            camInfo_H264[model][2][prio + 1][1][0];
    } else {
        objParts[4].selectedIndex = qual;
    }

    return objParts[4].selectedIndex;
}


/* ***************************************************************************
    H264の画質を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    squal    設定画質文字列
**************************************************************************** */
function SetH264QualityText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (squal == objParts[4].options[idx].text) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}


/* ***************************************************************************
    H264のビットレートを設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    prio     優先モード番号
    qual     画質番号
    bitrate  設定ビットレート番号
**************************************************************************** */
function SetH264Bitrate(no, model, scan, reso, prio, qual, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // 該当ビットレートテーブル
    var tblBitrate = camBitrate_H264[model][scan][prio][reso][qual];

    // ビットレート
    objParts[5].length = tblBitrate.length - 1;
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // ビットレートの数字
        // 計算用の値をセットする
        var dspbitrate = tblBitrate[idx + 1][0];
        if (0 == tblBitrate[idx + 1][1]) {
            objParts[5].options[idx].value = tblBitrate[idx + 1][0];
        } else {
            objParts[5].options[idx].value = tblBitrate[idx + 1][1];
            dspbitrate += '(' + tblBitrate[idx + 1][1] + ')';
        }
        // fps数
        var dspfps = '';

        if (model != 6) {
            // Other camerasの場合はfpsの記載はなし
            if (0 == prio) {
                dspfps += s_cam_fps_max;
            }
            if (0 == tblBitrate[idx + 1][2]) {
                dspfps += s_cam_fps_none;
            } else {
                dspfps += tblBitrate[idx + 1][2] + s_cam_fps;
            }
        }
        // NV200が対応しているビットレートは普通に表示
        if (1 == tblBitrate[idx + 1][3]) {
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_space +
                dspfps;
        } else {
        // 対応していないビットレートには * を表示
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_mark_nonsupport_nv200 +
                s_space +
                dspfps;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[5].selectedIndex = tblBitrate[0][0];
    } else {
        objParts[5].selectedIndex = bitrate;
    }

    return objParts[5].selectedIndex;
}

/* ***************************************************************************
    H264のビットレートを設定する(Value指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
    bitrate  設定ビットレート
**************************************************************************** */
function SetH264BitrateValue(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetH264Object(no, objParts);

    // ビットレート
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (bitrate == objParts[5].options[idx].value) {
            objParts[5].selectedIndex = idx;
            break;
        }
    }

    return objParts[5].selectedIndex;
}


/* ***************************************************************************
    JPEGの録画条件を初期化する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    設定モデル番号
    reso     設定解像度
**************************************************************************** */
function InitJpeg(no, model, reso) {

    // 型番
    SetJpegModel(no, model);
    // 撮像モード
    var scan = SetJpegScan(no, model, null);
    // 解像度
    reso = SetJpegResolution(no, model, scan, reso);
    // 画質
    var qual = SetJpegQuality(no, model, scan, reso, null);
    // 録画fps
    SetJpegRecFps(no, model, scan, reso, null);

    // ビットレート
    SetJpegBitrateValue(no);
}


/* ***************************************************************************
    JPEGの型番変更にあわせ、他のパラメータをセットしなおす

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
**************************************************************************** */
function ChangeJpeg(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var squal = objParts[3].options[objParts[3].selectedIndex].text;
    var recfps = objParts[4].options[objParts[4].selectedIndex].value;

    // いったんパラメータを初期化する
    InitJpeg(no, model, null);

    // 撮像モード復元
    var scan = SelectJpegScanText(no, sscan);
    // 解像度復元
    SetJpegResolution(no, model, scan, null);
    var reso = SelectJpegResolutionText(no, sreso);

    // 画質復元
    SetJpegQuality(no, model, scan, reso, null);
    var qual = SetJpegQualityText(no, squal);

    // 録画fps復元
    SetJpegRecFps(no, model, scan, reso, null);
    SetJpegRecFpsValue(no, recfps);

    // ビットレート設定
    SetJpegBitrateValue(no);

    // 再計算実行
    calcdata();
}


/* ***************************************************************************
    JPEGの型番を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    設定モデル番号
**************************************************************************** */
function SetJpegModel(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 品番
    objParts[0].length = camInfo_Jpeg.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Jpeg[idx][0];
    }
    objParts[0].selectedIndex = model;
}


/* ***************************************************************************
    JPEGの撮像モードを設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function SetJpegScan(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 撮像モード
    objParts[2].length = camInfo_Jpeg[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_Jpeg[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_Jpeg[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    JPEGの撮像モードを設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    sscan    設定撮像モード文字列
**************************************************************************** */
function SelectJpegScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    JPEGの解像度を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function SetJpegResolution(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 解像度
    objParts[1].length = camInfo_Jpeg[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_Jpeg[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_Jpeg[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}


/* ***************************************************************************
    JPEGの解像度を設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    sscan    設定解像度文字列
**************************************************************************** */
function SelectJpegResolutionText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}


/* ***************************************************************************
    JPEGの画質を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    qual     設定画質番号
**************************************************************************** */
function SetJpegQuality(no, model, scan, reso, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 画質
    objParts[3].length = camQuality_Jpeg[model][scan][reso].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // value は "fps サイズ"の文字列
        objParts[3].options[idx].value =
            camQuality_Jpeg[model][scan][reso][idx + 1][2] +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][1];

        // リスト表示文字列
        var listtext =
            camQuality_Jpeg[model][scan][reso][idx + 1][0];
        switch (camQuality_Jpeg[model][scan][reso][idx + 1][3]) {
            // SF
            case 1:
                listtext += s_mark_support_nv200_sf;
                break;

            // FQ
            case 2:
                listtext += s_mark_support_nv200_fq;
                break;

            // NQ
            case 3:
                listtext += s_mark_support_nv200_nq;
                break;

            // NV200未サポート
            default:
                listtext += s_mark_nonsupport_nv200;
                break;
        }
        listtext += s_separator;

        objParts[3].options[idx].text =
            listtext +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][2] +
            s_cam_fps +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][1] +
            s_cam_kb;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[3].selectedIndex = camQuality_Jpeg[model][scan][reso][0][0];
    } else {
        objParts[3].selectedIndex = qual;
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    JPEGの画質を設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    squal    設定画質文字列
**************************************************************************** */
function SetJpegQualityText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 画質の数字(0-9)のみを取り出す

    //2013.09.13 add by Eguchi 不具合対策(2028_34952)
    //先頭文字が同一の場合があるため、
    //・先頭文字が数値⇒比較文字数：1
    //・上記以外　　　⇒比較文字数：4に変更
    var chkqual = squal.slice(0, 1);
    chkqual = Number(chkqual);
    if ((chkqual == 1) || (chkqual == 2) || (chkqual == 3) ||
        (chkqual == 4) || (chkqual == 5) || (chkqual == 6) ||
        (chkqual == 7) || (chkqual == 8) || (chkqual == 9)) {
        //・先頭文字が数値⇒比較文字数：1
        chkqual = 1;
    } else {
        //・上記以外　　　⇒比較文字数：4
        chkqual = 0;
    }

    if (chkqual == 1) {
        var orgqual = squal.slice(0, 1);
    } else {
        var orgqual = squal.slice(0, 4);
    }
    //var orgqual = squal.slice(0, 1);
    //add end

    // 画質
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // リストの画質(0-9)

        //2013.09.13 add by Eguchi 不具合対策(2028_34952)
        //先頭文字が同一の場合があるため、
        //・先頭文字が数値⇒比較文字数：1
        //・上記以外　　　⇒比較文字数：4に変更
        if (chkqual == 1) {
            var listqual = objParts[3].options[idx].text.slice(0, 1);
        } else {
            var listqual = objParts[3].options[idx].text.slice(0, 4);
        }
        //var listqual = objParts[3].options[idx].text.slice(0, 1);
        //add end

        // 指定された文字列があれば、それを選択状態にする
        if (orgqual == listqual) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}


/* ***************************************************************************
    JPEGの録画fpsを設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    recfps   設定録画fps値
**************************************************************************** */
function SetJpegRecFps(no, model, scan, reso, recfps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 今の画質を取得する
    var qual = objParts[3].value;
    // fps数を切り出し
    var qualfps = Number(qual.slice(0, 3));

    // 録画fpsは最初空リスト
    objParts[4].length = 0;

    // NWDR(レコーダー or 推奨サーバ)の録画fps数と現条件での最大fpsを比較し、
    // 性能以上のfps数は消去する
    var useMaxFpsFlag = 0;
    var fps_idx = 0;
    for (var idx = 0; idx < camRecFps_Jpeg.length - 1; idx++) {
        // 録画fps <= 最大fps
        if (camRecFps_Jpeg[idx + 1][0] <= qualfps) {
            // 最大fps値が録画fps値リストになければ、
            // 初回のみ追加する
            if ((camRecFps_Jpeg[idx + 1][0] != qualfps) &&
                (0 == useMaxFpsFlag)) {

                // リストの大きさを拡張
                objParts[4].length++;

                // リストに値を設定
                objParts[4].options[fps_idx].value = qualfps;
                // NV200未対応マークをつける
                objParts[4].options[fps_idx].text =
                    qualfps + s_cam_fps + s_space + s_mark_nonsupport_nv200;

                // 何度も最大fps数を追加しないようにフラグをたてる
                useMaxFpsFlag = 1;
                // インデックスを次の位置に変更
                fps_idx++;
            }
            // 録画fps数リストの値を追加する

            // リストの大きさを拡張
            objParts[4].length++;

            // リストに値を設定
            objParts[4].options[fps_idx].value = camRecFps_Jpeg[idx + 1][0];
            // NV200用マークをつける
            var listtext =
                    camRecFps_Jpeg[idx + 1][0] +
                    s_cam_fps;
            if (0 == camRecFps_Jpeg[idx + 1][1]) {
                listtext +=
                    s_space +
                    s_mark_nonsupport_nv200;
            }
            objParts[4].options[fps_idx].text = listtext;

            // 1つでも登録したら最大fps数を追加は不要
            useMaxFpsFlag = 1;
            // インデックスを次の位置に変更
            fps_idx++;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    var fps;
    if (null == recfps) {
        fps = camRecFps_Jpeg[0][0];
    } else {
        fps = recfps;
    }

    return SetJpegRecFpsValue(no, fps);
}


/* ***************************************************************************
    JPEGの録画fpsを設定する(Value指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    fps      設定録画fps数
**************************************************************************** */
function SetJpegRecFpsValue(no, fps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された値があれば、それを選択状態にする
        if (fps == objParts[4].options[idx].value) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}


/* ***************************************************************************
    JPEGのビットレートを設定する(Value指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
**************************************************************************** */
function SetJpegBitrateValue(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetJpegObject(no, objParts);

    // 画質からサイズを取得する
    var dataSize = Number(objParts[3].value.slice(2));
    // 録画fps数取得
    var recFps = Number(objParts[4].value);

    // 計算用ビットレート計算
    var base_bitrate = dataSize * recFps * 8;
    var bitrate_rec = base_bitrate / 1000;
    var bitrate_band = bitrate_rec * GetaJpeg;
    bitrate_band = Number(NumberToFixed(bitrate_band, 3));

    // 表示用ビットレート計算
    var dspbitrate_rec = base_bitrate / 1024;
    var dspbitrate_band = dspbitrate_rec * GetaJpeg;

    // ビットレート表示(帯域)
    objParts[5].value = NumberToFixed(dspbitrate_band, 3);

    // 計算用ビットレート設定
    var diffgeta = bitrate_band - (bitrate_band / GetaJpeg);
    g_JpegBitrates_rec[Number(no) - 1] = bitrate_band;
    g_JpegBitrates_rec[Number(no) - 1] -= diffgeta;
    g_JpegBitrates_band[Number(no) - 1] = bitrate_band;

    // 表示用ビットレート設定
    diffgeta = dspbitrate_band - (dspbitrate_band / GetaJpeg);
    g_DspJpegBitrates_rec[Number(no) - 1] = dspbitrate_band;
    if (8 != objParts[0].selectedIndex) {
        g_DspJpegBitrates_rec[Number(no) - 1] -= diffgeta;
    }
    g_DspJpegBitrates_band[Number(no) - 1] = dspbitrate_band;
}


/* ***************************************************************************
    MPEG4の録画条件を初期化する

    no       設定番号
                 '1'     MPEG4(1)
    model    設定モデル番号
**************************************************************************** */
function InitMpeg4(no, model) {
    // 型番
    SetMpeg4Model(no, model);
    // 撮像モード
    var scan = SetMpeg4Scan(no, model, null);
    // 解像度
    var reso = SetMpeg4Resolution(no, model, scan, null);
    // 優先モード
    var prio = SetMpeg4Priority(no, model, null);
    // 画質
    var qual = SetMpeg4Quality(no, model, prio, null);
    // ビットレート
    SetMpeg4Bitrate(no, model, scan, reso, prio, qual, null);
}


/* ***************************************************************************
    MPEG4の型番変更にあわせ、他のパラメータをセットしなおす

    no       設定番号
                 '1'     MPEG4(1)
**************************************************************************** */
function ChangeMpeg4(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var sprio = objParts[3].options[objParts[3].selectedIndex].text;
    var squal = objParts[4].options[objParts[4].selectedIndex].text;
    var bitrate = objParts[5].options[objParts[5].selectedIndex].value;


    // いったんパラメータを初期化する
    //InitMpeg4(no, model);

    // 撮像モード復元
    var scan = SelectMpeg4ScanText(no, sscan);
    // 解像度復元
    SetMpeg4Resolution(no, model, scan, null);
    var reso = SelectMpeg4ResolutionText(no, sreso);
    // 優先モード復元
    SetMpeg4Priority(no, model, null);
    var prio = SelectMpeg4PriorityText(no, sprio);
    // 画質復元
    SetMpeg4Quality(no, model, prio, null);
    var qual = SetMpeg4QualityText(no, squal);
    // ビットレート復元
    SetMpeg4Bitrate(no, model, scan, reso, prio, qual, null);
    SetMpeg4BitrateValue(no, bitrate);

    // 再計算実行
    calcdata();
}

/* ***************************************************************************
    MPEG4の型番を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    設定モデル番号
**************************************************************************** */
function SetMpeg4Model(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 品番
    objParts[0].length = camInfo_Mpeg4.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Mpeg4[idx][0];
    }
    objParts[0].selectedIndex = model;
}


/* ***************************************************************************
    MPEG4の撮像モードを設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function SetMpeg4Scan(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 撮像モード
    objParts[2].length = camInfo_Mpeg4[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_Mpeg4[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_Mpeg4[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    MPEG4の撮像モードを設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sscan    設定撮像モード文字列
**************************************************************************** */
function SelectMpeg4ScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    MPEG4の解像度を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function SetMpeg4Resolution(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 解像度
    objParts[1].length = camInfo_Mpeg4[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_Mpeg4[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_Mpeg4[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}


/* ***************************************************************************
    MPEG4の解像度を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sscan    設定解像度文字列
**************************************************************************** */
function SelectMpeg4ResolutionText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    MPEG4の優先モードを設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    prio     設定優先モード番号
**************************************************************************** */
function SetMpeg4Priority(no, model, prio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 優先モード
    objParts[3].length = camInfo_Mpeg4[model][2].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = idx;
        objParts[3].options[idx].text = camInfo_Mpeg4[model][2][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == prio) {
        objParts[3].selectedIndex = camInfo_Mpeg4[model][2][0][0];
    } else {
        objParts[3].selectedIndex = prio;
    }

    return objParts[3].selectedIndex;
}


/* ***************************************************************************
    MPEG4の優先モードを設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sprio    設定優先モード文字列
**************************************************************************** */
function SelectMpeg4PriorityText(no, sprio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 優先モード
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sprio == objParts[3].options[idx].text) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}


/* ***************************************************************************
    MPEG4の画質を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    prio     優先モード番号
    qual     設定画質番号
**************************************************************************** */
function SetMpeg4Quality(no, model, prio, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 画質
    objParts[4].length = camInfo_Mpeg4[model][2][prio + 1][1].length - 1;
    for (var idx = 0; idx < objParts[4].length; idx++) {
        objParts[4].options[idx].value = idx;
        objParts[4].options[idx].text =
            camInfo_Mpeg4[model][2][prio + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[4].selectedIndex = camInfo_Mpeg4[model][2][prio + 1][1][0];
    } else {
        objParts[4].selectedIndex = qual;
    }

    return objParts[4].selectedIndex;
}


/* ***************************************************************************
    MPEG4の画質を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    squal    設定画質文字列
**************************************************************************** */
function SetMpeg4QualityText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (squal == objParts[4].options[idx].text) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}


/* ***************************************************************************
    MPEG4のビットレートを設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    prio     優先モード番号
    qual     画質番号
    bitrate  設定ビットレート番号
**************************************************************************** */
function SetMpeg4Bitrate(no, model, scan, reso, prio, qual, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // 該当ビットレートテーブル
    var tblBitrate = camBitrate_Mpeg4[model][scan][prio][reso][qual];

    // ビットレート
    objParts[5].length = tblBitrate.length - 1;
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // ビットレートの数字
        // 計算用の値をセットする
        var dspbitrate = tblBitrate[idx + 1][0];
        if (0 == tblBitrate[idx + 1][1]) {
            objParts[5].options[idx].value = tblBitrate[idx + 1][0];
        } else {
            objParts[5].options[idx].value = tblBitrate[idx + 1][1];
            dspbitrate += '(' + tblBitrate[idx + 1][1] + ')';
        }
        // fps数
        var dspfps = '';
        if (0 == tblBitrate[idx + 1][2]) {
            dspfps = s_cam_fps_none;
        } else {
            // VMDの状態を取得
            var vmdflag = 0;
//            if (frmNWDR.chkvmd.checked == true) {
//                vmdflag = 1;
//            }
            // VMDが有効で通常i-PROのときは、最大FPS数が15になる
            var vmdfps = 15;
            if ((3 <= model && model <= 5) && (1 == vmdflag)) {
                if (vmdfps > tblBitrate[idx + 1][2]) {
                    vmdfps = tblBitrate[idx + 1][2];
                }
            } else {
                    vmdfps = tblBitrate[idx + 1][2];
            }
            if (0 == prio) {
                dspfps += s_cam_fps_max;
            }
            dspfps += vmdfps + s_cam_fps;
        }
        // NV200が対応しているビットレートは普通に表示
        if (1 == tblBitrate[idx + 1][3]) {
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_space +
                dspfps;
        } else {
        // 対応していないビットレートには * を表示
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_mark_nonsupport_nv200 +
                s_space +
                dspfps;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[5].selectedIndex = tblBitrate[0][0];
    } else {
        objParts[5].selectedIndex = bitrate;
    }

    return objParts[5].selectedIndex;
}


/* ***************************************************************************
    MPEG4のビットレートを設定する(Value指定)

    no       設定番号
                 '1'     MPEG4(1)
    bitrate  設定ビットレート
**************************************************************************** */
function SetMpeg4BitrateValue(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetMpeg4Object(no, objParts);

    // ビットレート
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (bitrate == objParts[5].options[idx].value) {
            objParts[5].selectedIndex = idx;
            break;
        }
    }

    return objParts[5].selectedIndex;
}


/* ***************************************************************************
    H.264(顔照合)の録画条件を初期化する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    model    設定モデル番号
**************************************************************************** */
function InitFace(no, model) {
    // 解像度
    SetFaceResolution(no, null);
    // 画質
    SetFaceQuality(no, null);
    // 録画fps
    SetFaceRecFps(no, null);
    // ビットレート
    SetFaceBitrate(no, null);
}


/* ***************************************************************************
    H.264(顔照合)の解像度を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    reso     設定解像度番号
**************************************************************************** */
function SetFaceResolution(no, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetFaceObject(no, objParts);

    // 解像度
    objParts[0].length = camInfo_Face[0][0].length - 1;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Face[0][0][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[0].selectedIndex = camInfo_Face[0][0][0];
    } else {
        objParts[0].selectedIndex = reso;
    }

    return objParts[0].selectedIndex;
}


/* ***************************************************************************
    H.264(顔照合)の画質を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    qual     設定画質番号
**************************************************************************** */
function SetFaceQuality(no, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetFaceObject(no, objParts);

    // 解像度
    objParts[1].length = camInfo_Face[0][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text = camInfo_Face[0][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[1].selectedIndex = camInfo_Face[0][1][0];
    } else {
        objParts[1].selectedIndex = qual;
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    H.264(顔照合)の録画fps数を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    fps      設定録画fps番号
**************************************************************************** */
function SetFaceRecFps(no, fps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetFaceObject(no, objParts);

    // 解像度
    objParts[2].length = camInfo_Face[0][2].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = camInfo_Face[0][2][idx + 1];
        objParts[2].options[idx].text =
            camInfo_Face[0][2][idx + 1] + s_cam_fps;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == fps) {
        objParts[2].selectedIndex = camInfo_Face[0][2][0];
    } else {
        objParts[2].selectedIndex = fps;
    }

    return objParts[2].selectedIndex;
}


/* ***************************************************************************
    H.264(顔照合)のビットレートを設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    bitrate  設定ビットレート番号
**************************************************************************** */
function SetFaceBitrate(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    GetFaceObject(no, objParts);

    // ビットレート
    objParts[3].length = camInfo_Face[0][3].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = camInfo_Face[0][3][idx + 1];
        objParts[3].options[idx].text =
            camInfo_Face[0][3][idx + 1] + s_cam_bitrate_kbps;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[3].selectedIndex = camInfo_Face[0][3][0];
    } else {
        objParts[3].selectedIndex = bitrate;
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
**************************************************************************** */
function hddchange(obj) {
    var capa = obj.value;
    var raid =
        frmNWDR.sel_RAID.options[
            frmNWDR.sel_RAID.selectedIndex
        ].value;
//    frmNWDR.chkvmd.disabled = 0;
//    frmNWDR.chkaudio.disabled = 0;
    g_capa = capa;

        frmNWDR.sel_RAID.length = 2;
        frmNWDR.sel_RAID.options[0].text = sel_raid_str[0];
        frmNWDR.sel_RAID.options[0].value = 0;
        frmNWDR.sel_RAID.options[1].text = sel_raid_str[1];
        frmNWDR.sel_RAID.options[1].value = 5;
//        frmNWDR.sel_RAID.options[3].text = sel_raid_str[3];
//        frmNWDR.sel_RAID.options[3].value = 6;
        if (raid == 5)
            frmNWDR.sel_RAID.selectedIndex = 1;
        else
            frmNWDR.sel_RAID.selectedIndex = 0;
//    }

    calcdata();
}

/* ***************************************************************************
**************************************************************************** */
function raidchange(obj) {
//    td_DELL_Name1.innerHTML = s_td_DELL_Name1;
    calcdata();
}

/* ***************************************************************************
**************************************************************************** */
function Audio_Click() {
    calcdata();
}

/* ***************************************************************************
**************************************************************************** */
function VMD_Click(F) {
    var mng;

    // VMDの状態が変ったので、MPEGのFPS数を書き直す
    ChangeMpeg4('1');

    // 再計算実行
    calcdata();
}

/* ***************************************************************************

**************************************************************************** */
function Detail_Click() {

    calcdata();
}


/* ***************************************************************************
    画面初期化
**************************************************************************** */
function Initload(code, F) {

    // カメラ台数
    frmNWDR.txt_num_h264_1.value = '';
    frmNWDR.txt_num_h264_2.value = '';
    frmNWDR.txt_num_h264_3.value = '';

    // H.264(1)初期化
    InitH264('1', 0, 0);
    // H.264(2)初期化
    InitH264('2', 0, 1);
    // H.264(3)初期化
    InitH264('3', 1, 0);

    //-----------------
    j = 0;
    frmNWDR.sel_Time.length = 24;
    for (var i = 24; i > 0; i--) {
        frmNWDR.sel_Time.options[j].value = [i];
        frmNWDR.sel_Time.options[j].text = [i];
        j++;
    }
    frmNWDR.sel_Time.selectedIndex = 0;

    frmNWDR.sel_HDD.length = sel_hdd_capa.length;
    for (var i = 0; i < sel_hdd_capa.length; i++) {
        if (Language == Japanese) {
            if (sel_hdd_capa[i] == '1000') {
                j = i;
            }
        } else {
            if (sel_hdd_capa[i] == '4000') {
                j = i;
            }
        }
        frmNWDR.sel_HDD.options[i].value = sel_hdd_capa[i];
        frmNWDR.sel_HDD.options[i].text = sel_hdd_capa[i] + sel_hdd_unit;
    }
    frmNWDR.sel_HDD.selectedIndex = j;

    frmNWDR.sel_RAID.length = sel_raid_str.length;
    for (var i = 0; i < sel_raid_str.length; i++) {
        frmNWDR.sel_RAID.options[i].value = sel_raid_code[i];
        frmNWDR.sel_RAID.options[i].text = sel_raid_str[i];
    }

    frmNWDR.sel_RAID.selectedIndex = 1;

    hddchange(frmNWDR.sel_HDD);

    frmNWDR.txtdaysnum.value = DefalutRecday;

    document.frmNWDR.elements['chkdetail'].checked = false;


    // 容量計算
    calcdata();
}

/* ***************************************************************************
    ブラウザのバージョンを取得する

    @return Number:
**************************************************************************** */
function getBrowserVersion() {
    return window.opera ?
        (opera.version().replace(/\d$/, '') - 0) :
        parseFloat((/(?:IE |fox\/|ome\/|ion\/)(\d+\.\d)/.
            exec(navigator.userAgent) || [, 0])[1]);
}


/* ***************************************************************************
    メッセージダイアログを表示する
**************************************************************************** */
function Outputmsg(msg, level) {
    if (getBrowserVersion() == 6) {
        alert(msg);
    } else {
        if (level == 1) {
            jInfomsg(msg, app_name);
        }
        else {
            jAlert(msg, app_name);
        }
    }
}


/* ***************************************************************************
    数値入力のみを許可する

    true     反応する
    false    反応しない
**************************************************************************** */
function numOnly2(nKeyCode) {

    // DEL(46)、左(37)右(39)矢印キーには反応する
    if (nKeyCode == 46 || nKeyCode == 37 || nKeyCode == 39) {
         return true;
    }

    // テンキーの0-9にも反応する
    if (96 <= nKeyCode & nKeyCode <= 105) {
        return true;
    }

    // 文字コードを文字列に変換
    var m = String.fromCharCode(nKeyCode);
    // 数字と改行コード等でなければ反応しない
    if ('0123456789\d\b\r\t'.indexOf(m, 0) < 0) {
         return false;
    }

    return true;

}


/* ***************************************************************************
    数値の丸め処理をおこなう

    小数点4桁以下の場合0になってしまうので補正する
**************************************************************************** */
function GetMarumCapa(data) {

    if (data < 1) {
        if (data < 0.0001) {
            data = 0.0001;
        } else {
            data = Math.ceil(data * 100000) / 100000;
            data = NumberToFixed(data, 4);
        }
    } else {
        data = Math.ceil(data * 1000) / 1000;
        data = NumberToFixed(data, 2);
    }

    return data;
}


/* ***************************************************************************
    数値を四捨五入する
**************************************************************************** */
function NumberToFixed(dValue, iDigits) {
    // 無効値をチェック
    if (isNaN(dValue)) {
        return dValue;
    }

    var dCoef = Math.pow(10, iDigits);
    var ret = dValue;

    if (dValue > 0) {
        ret = Math.floor((dValue * dCoef) + 0.5) / dCoef;
    }
    else {
        ret = Math.ceil((dValue * dCoef) - 0.5) / dCoef;
    }

    // 数値を文字列に変換
    var retstr = ret.toString();
    var pos = retstr.lastIndexOf('.');
    if (0 < pos) {
        // 今小数点が何桁あるか
        var keta = retstr.length - (pos + 1);
        // 桁数が足りない分だけ0を付ける
        for (var idx = keta; idx < iDigits; idx++) {
            retstr = retstr + '0';
        }
    }
    else {
        retstr = ret.toString();

        // 小数点付与
        retstr = retstr + '.';
        // 桁数が足りない分だけ0を付ける
        for (var idx = 0; idx < iDigits; idx++) {
            retstr = retstr + '0';
        }
    }

    return retstr;
}

